
#include "cmsis_os2.h"                  // ::CMSIS:RTOS2

#include "RTE_Components.h"             // Component selection
#include CMSIS_device_header

#include "em_chip.h"                    // Keil::Device:emlib:Framework
#include "em_cmu.h"                     // Keil::Device:emlib:CMU

#include "bsp.h"                        // Keil.EFM32GG-DK3750::Board Support:CORE

extern void                 app_main (void *arg);
extern uint64_t             app_main_stk[];
extern const osThreadAttr_t app_main_attr;


/*----------------------------------------------------------------------------
 * main function
 *---------------------------------------------------------------------------*/
int main(void)
{
  /* BSP Initialization (EBI mode)  */
  BSP_Init(BSP_INIT_DK_EBI);

  /* HFXO (High frequency crystal oscillator) is 48MHz */
  CMU_OscillatorEnable (cmuOsc_HFXO, true, true);
  CMU_ClockSelectSet   (cmuClock_HF,    cmuSelect_HFXO);
  CMU_ClockDivSet      (cmuClock_HFPER, cmuClkDiv_1);

  SystemCoreClockUpdate();                  /* Update System Core Clock info */
  osKernelInitialize();                     /* Initialize CMSIS-RTOS */
                                            /* Create application main thread */
  osThreadNew(app_main, NULL, &app_main_attr);
  if (osKernelGetState() == osKernelReady) {
    osKernelStart();                        /* Start thread execution */
  }
  for (;;);
}
