/*------------------------------------------------------------------------------
 * MDK Middleware - Component ::USB:Device
 * Copyright (c) 2004-2014 ARM Germany GmbH. All rights reserved.
 *------------------------------------------------------------------------------
 * Name:    MassStorage.c
 * Purpose: USB Device Mass Storage Example
 *----------------------------------------------------------------------------*/

#include "cmsis_os.h"
#include "rl_fs.h"
#include "rl_usb.h"

#include "em_device.h"
#include "em_cmu.h"
#include "bsp.h"

int main (void) {

  CMU_ClockSelectSet   ( cmuClock_HF, cmuSelect_HFXO );
  CMU_OscillatorEnable ( cmuOsc_LFRCO, true, false );
  CMU_ClockDivSet      (cmuClock_HFPER, cmuClkDiv_1);

  BSP_Init             (BSP_INIT_DK_EBI);
  BSP_PeripheralAccess (BSP_MICROSD, true);

  finit              ("M0:");           /* Initialize SD Card 0               */
  fmount             ("M0:");           /* Mount SD Card 0                    */

  USBD_Initialize    (0);               /* USB Device 0 Initialization        */
  USBD_Connect       (0);               /* USB Device 0 Connect               */

  while (1) {
    osDelay(1000);
  }
}
