/* ----------------------------------------------------------------------
 * Copyright (C) 2013 ARM Limited. All rights reserved.
 *  
 * $Date:        14. June 2013
 * $Revision:    V1.0
 *  
 * Project:      DMA Driver for Energy Micro EFM32GGxxx
 * Configured:   via RTE_Device.h configuration file 
 * -------------------------------------------------------------------- */

#include "em_device.h"

#include "RTE_Device.h"

#if (RTE_DMA)

#if ((RTE_DMA_CH1  && !RTE_DMA_CH0) || \
     (RTE_DMA_CH2  && !RTE_DMA_CH1) || \
     (RTE_DMA_CH3  && !RTE_DMA_CH2) || \
     (RTE_DMA_CH4  && !RTE_DMA_CH3) || \
     (RTE_DMA_CH5  && !RTE_DMA_CH4) || \
     (RTE_DMA_CH6  && !RTE_DMA_CH5) || \
     (RTE_DMA_CH7  && !RTE_DMA_CH6) || \
     (RTE_DMA_CH8  && !RTE_DMA_CH7) || \
     (RTE_DMA_CH9  && !RTE_DMA_CH8) || \
     (RTE_DMA_CH10 && !RTE_DMA_CH9) || \
     (RTE_DMA_CH11 && !RTE_DMA_CH10))
  #error "DMA Channels must be enabled consecutively, beginning from the channel 0! Check settings in RTE_Device.h!"
#endif

#if ((RTE_DMA_CH1 && RTE_DMA_CH1_DATA_STRUCT) && (RTE_DMA_CH0 && !RTE_DMA_CH0_DATA_STRUCT) || \
     (RTE_DMA_CH2 && RTE_DMA_CH2_DATA_STRUCT) && (RTE_DMA_CH1 && !RTE_DMA_CH1_DATA_STRUCT) || \
     (RTE_DMA_CH3 && RTE_DMA_CH3_DATA_STRUCT) && (RTE_DMA_CH2 && !RTE_DMA_CH2_DATA_STRUCT) || \
     (RTE_DMA_CH4 && RTE_DMA_CH4_DATA_STRUCT) && (RTE_DMA_CH3 && !RTE_DMA_CH3_DATA_STRUCT) || \
     (RTE_DMA_CH5 && RTE_DMA_CH5_DATA_STRUCT) && (RTE_DMA_CH4 && !RTE_DMA_CH4_DATA_STRUCT) || \
     (RTE_DMA_CH6 && RTE_DMA_CH6_DATA_STRUCT) && (RTE_DMA_CH5 && !RTE_DMA_CH5_DATA_STRUCT) || \
     (RTE_DMA_CH7 && RTE_DMA_CH7_DATA_STRUCT) && (RTE_DMA_CH6 && !RTE_DMA_CH6_DATA_STRUCT) || \
     (RTE_DMA_CH8 && RTE_DMA_CH8_DATA_STRUCT) && (RTE_DMA_CH7 && !RTE_DMA_CH7_DATA_STRUCT) || \
     (RTE_DMA_CH9 && RTE_DMA_CH9_DATA_STRUCT) && (RTE_DMA_CH8 && !RTE_DMA_CH8_DATA_STRUCT) || \
     (RTE_DMA_CH10 && RTE_DMA_CH10_DATA_STRUCT) && (RTE_DMA_CH9 && !RTE_DMA_CH9_DATA_STRUCT) || \
     (RTE_DMA_CH11 && RTE_DMA_CH11_DATA_STRUCT) && (RTE_DMA_CH10 && !RTE_DMA_CH10_DATA_STRUCT))
  #error "Alternate channel data structures must be enabled consecutively, beginning from the channel 0! Check settings in RTE_Device.h!"
#endif

#define RTE_DMA_PRIMARY_DESC (RTE_DMA_CH0 + RTE_DMA_CH1 + RTE_DMA_CH2  + RTE_DMA_CH3 + \
                              RTE_DMA_CH4 + RTE_DMA_CH5 + RTE_DMA_CH6  + RTE_DMA_CH7 + \
                              RTE_DMA_CH8 + RTE_DMA_CH9 + RTE_DMA_CH10 + RTE_DMA_CH11)

#define RTE_DMA_ALTERNATE_DESC ((RTE_DMA_CH0  && RTE_DMA_CH0_DATA_STRUCT)  + (RTE_DMA_CH1  && RTE_DMA_CH1_DATA_STRUCT) + \
                                (RTE_DMA_CH2  && RTE_DMA_CH2_DATA_STRUCT)  + (RTE_DMA_CH3  && RTE_DMA_CH3_DATA_STRUCT) + \
                                (RTE_DMA_CH4  && RTE_DMA_CH4_DATA_STRUCT)  + (RTE_DMA_CH5  && RTE_DMA_CH5_DATA_STRUCT) + \
                                (RTE_DMA_CH6  && RTE_DMA_CH6_DATA_STRUCT)  + (RTE_DMA_CH7  && RTE_DMA_CH7_DATA_STRUCT) + \
                                (RTE_DMA_CH8  && RTE_DMA_CH8_DATA_STRUCT)  + (RTE_DMA_CH9  && RTE_DMA_CH9_DATA_STRUCT) + \
                                (RTE_DMA_CH10 && RTE_DMA_CH10_DATA_STRUCT) + (RTE_DMA_CH11 && RTE_DMA_CH11_DATA_STRUCT))

#define RTE_DMA_DESC_SIZE (RTE_DMA_PRIMARY_DESC + ((RTE_DMA_ALTERNATE_DESC) ? (RTE_DMA_ALTERNATE_DESC + 64) : (0)))


#if (RTE_DMA_DESC_SIZE > 0)
__align(256) DMA_DESCRIPTOR_TypeDef DMA_DescArray[RTE_DMA_DESC_SIZE];
#endif

#endif /* RTE_DMA */
