/***************************************************************************//**
 * @file si4460/inc/ezradio_prop.h
 * @brief EZRadio Property Header
 *
 * THIS FILE IS AUTOMATICALLY GENERATED. DO NOT EDIT!
 *
 * Generated from API Version:
 * Interface Version: 1.0
 * Document Version: 2.0.3
 *
 * Relevant to parts:
 * Si4460_revC2A
 *
 * @version 5.3.5
 *******************************************************************************
 * # License
 * <b>(C) Copyright 2015 Silicon Labs, www.silabs.com</b>
 *******************************************************************************
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 *    claim that you wrote the original software.@n
 * 2. Altered source versions must be plainly marked as such, and must not be
 *    misrepresented as being the original software.@n
 * 3. This notice may not be removed or altered from any source distribution.
 *
 * DISCLAIMER OF WARRANTY/LIMITATION OF REMEDIES: Silicon Labs has no
 * obligation to support this Software. Silicon Labs is providing the
 * Software "AS IS", with no express or implied warranties of any kind,
 * including, but not limited to, any implied warranties of merchantability
 * or fitness for any particular purpose or warranties against infringement
 * of any proprietary rights of a third party.
 *
 * Silicon Labs will not be liable for any consequential, incidental, or
 * special damages, or any other relief, or for any claim by any third party,
 * arising from your use of this Software.
 *
 ******************************************************************************/


#ifndef EZRADIO_PROP_H
#define EZRADIO_PROP_H

//! @cond Doxygen_Suppress

// Property group ID defines.
#define EZRADIO_PROP_GRP_ID_GLOBAL 0
#define EZRADIO_PROP_GRP_ID_INT_CTL 1
#define EZRADIO_PROP_GRP_ID_FRR_CTL 2
#define EZRADIO_PROP_GRP_ID_PREAMBLE 16
#define EZRADIO_PROP_GRP_ID_SYNC 17
#define EZRADIO_PROP_GRP_ID_PKT 18
#define EZRADIO_PROP_GRP_ID_MODEM 32
#define EZRADIO_PROP_GRP_ID_MODEM_CHFLT 33
#define EZRADIO_PROP_GRP_ID_PA 34
#define EZRADIO_PROP_GRP_ID_SYNTH 35
#define EZRADIO_PROP_GRP_ID_MATCH 48
#define EZRADIO_PROP_GRP_ID_FREQ_CONTROL 64
#define EZRADIO_PROP_GRP_ID_RX_HOP 80

// Property group length defines.
#define EZRADIO_PROP_GRP_LEN_GLOBAL 11
#define EZRADIO_PROP_GRP_LEN_INT_CTL 4
#define EZRADIO_PROP_GRP_LEN_FRR_CTL 4
#define EZRADIO_PROP_GRP_LEN_PREAMBLE 15
#define EZRADIO_PROP_GRP_LEN_SYNC 10
#define EZRADIO_PROP_GRP_LEN_PKT 58
#define EZRADIO_PROP_GRP_LEN_MODEM 96
#define EZRADIO_PROP_GRP_LEN_MODEM_CHFLT 36
#define EZRADIO_PROP_GRP_LEN_PA 7
#define EZRADIO_PROP_GRP_LEN_SYNTH 8
#define EZRADIO_PROP_GRP_LEN_MATCH 12
#define EZRADIO_PROP_GRP_LEN_FREQ_CONTROL 8
#define EZRADIO_PROP_GRP_LEN_RX_HOP 66

// Property index within a group defines.
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_XO_TUNE 0
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_CLK_CFG 1
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_LOW_BATT_THRESH 2
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_CONFIG 3
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_WUT_CONFIG 4
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_WUT_M 5
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_WUT_R 7
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_WUT_LDC 8
#define EZRADIO_PROP_GRP_INDEX_GLOBAL_WUT_CAL 9
#define EZRADIO_PROP_GRP_INDEX_INT_CTL_ENABLE 0
#define EZRADIO_PROP_GRP_INDEX_INT_CTL_PH_ENABLE 1
#define EZRADIO_PROP_GRP_INDEX_INT_CTL_MODEM_ENABLE 2
#define EZRADIO_PROP_GRP_INDEX_INT_CTL_CHIP_ENABLE 3
#define EZRADIO_PROP_GRP_INDEX_FRR_CTL_A_MODE 0
#define EZRADIO_PROP_GRP_INDEX_FRR_CTL_B_MODE 1
#define EZRADIO_PROP_GRP_INDEX_FRR_CTL_C_MODE 2
#define EZRADIO_PROP_GRP_INDEX_FRR_CTL_D_MODE 3
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_TX_LENGTH 0
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_CONFIG_STD_1 1
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_CONFIG_NSTD 2
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_CONFIG_STD_2 3
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_CONFIG 4
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_PATTERN 5
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_POSTAMBLE_CONFIG 9
#define EZRADIO_PROP_GRP_INDEX_PREAMBLE_POSTAMBLE_PATTERN 10
#define EZRADIO_PROP_GRP_INDEX_SYNC_CONFIG 0
#define EZRADIO_PROP_GRP_INDEX_SYNC_BITS 1
#define EZRADIO_PROP_GRP_INDEX_SYNC_CONFIG2 5
#define EZRADIO_PROP_GRP_INDEX_PKT_CRC_CONFIG 0
#define EZRADIO_PROP_GRP_INDEX_PKT_WHT_POLY 1
#define EZRADIO_PROP_GRP_INDEX_PKT_WHT_SEED 3
#define EZRADIO_PROP_GRP_INDEX_PKT_WHT_BIT_NUM 5
#define EZRADIO_PROP_GRP_INDEX_PKT_CONFIG1 6
#define EZRADIO_PROP_GRP_INDEX_PKT_CONFIG2 7
#define EZRADIO_PROP_GRP_INDEX_PKT_LEN 8
#define EZRADIO_PROP_GRP_INDEX_PKT_LEN_FIELD_SOURCE 9
#define EZRADIO_PROP_GRP_INDEX_PKT_LEN_ADJUST 10
#define EZRADIO_PROP_GRP_INDEX_PKT_TX_THRESHOLD 11
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_THRESHOLD 12
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_1_LENGTH 13
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_1_CONFIG 15
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_1_CRC_CONFIG 16
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_2_LENGTH 17
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_2_CONFIG 19
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_2_CRC_CONFIG 20
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_3_LENGTH 21
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_3_CONFIG 23
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_3_CRC_CONFIG 24
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_4_LENGTH 25
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_4_CONFIG 27
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_4_CRC_CONFIG 28
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_5_LENGTH 29
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_5_CONFIG 31
#define EZRADIO_PROP_GRP_INDEX_PKT_FIELD_5_CRC_CONFIG 32
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_1_LENGTH 33
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_1_CONFIG 35
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_1_CRC_CONFIG 36
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_2_LENGTH 37
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_2_CONFIG 39
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_2_CRC_CONFIG 40
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_3_LENGTH 41
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_3_CONFIG 43
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_3_CRC_CONFIG 44
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_4_LENGTH 45
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_4_CONFIG 47
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_4_CRC_CONFIG 48
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_5_LENGTH 49
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_5_CONFIG 51
#define EZRADIO_PROP_GRP_INDEX_PKT_RX_FIELD_5_CRC_CONFIG 52
#define EZRADIO_PROP_GRP_INDEX_PKT_CRC_SEED 54
#define EZRADIO_PROP_GRP_INDEX_MODEM_MOD_TYPE 0
#define EZRADIO_PROP_GRP_INDEX_MODEM_MAP_CONTROL 1
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSM_CTRL 2
#define EZRADIO_PROP_GRP_INDEX_MODEM_DATA_RATE 3
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_NCO_MODE 6
#define EZRADIO_PROP_GRP_INDEX_MODEM_FREQ_DEV 10
#define EZRADIO_PROP_GRP_INDEX_MODEM_FREQ_OFFSET 13
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_8 15
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_7 16
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_6 17
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_5 18
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_4 19
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_3 20
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_2 21
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_1 22
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_FILTER_COEFF_0 23
#define EZRADIO_PROP_GRP_INDEX_MODEM_TX_RAMP_DELAY 24
#define EZRADIO_PROP_GRP_INDEX_MODEM_MDM_CTRL 25
#define EZRADIO_PROP_GRP_INDEX_MODEM_IF_CONTROL 26
#define EZRADIO_PROP_GRP_INDEX_MODEM_IF_FREQ 27
#define EZRADIO_PROP_GRP_INDEX_MODEM_DECIMATION_CFG1 30
#define EZRADIO_PROP_GRP_INDEX_MODEM_DECIMATION_CFG0 31
#define EZRADIO_PROP_GRP_INDEX_MODEM_DECIMATION_CFG2 32
#define EZRADIO_PROP_GRP_INDEX_MODEM_IFPKD_THRESHOLDS 33
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_OSR 34
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_NCO_OFFSET 36
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_GAIN 39
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_GEAR 41
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_MISC1 42
#define EZRADIO_PROP_GRP_INDEX_MODEM_BCR_MISC0 43
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_GEAR 44
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_WAIT 45
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_GAIN 46
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_LIMITER 48
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_MISC 50
#define EZRADIO_PROP_GRP_INDEX_MODEM_AFC_ZIFOFF 51
#define EZRADIO_PROP_GRP_INDEX_MODEM_ADC_CTRL 52
#define EZRADIO_PROP_GRP_INDEX_MODEM_AGC_CONTROL 53
#define EZRADIO_PROP_GRP_INDEX_MODEM_AGC_WINDOW_SIZE 56
#define EZRADIO_PROP_GRP_INDEX_MODEM_AGC_RFPD_DECAY 57
#define EZRADIO_PROP_GRP_INDEX_MODEM_AGC_IFPD_DECAY 58
#define EZRADIO_PROP_GRP_INDEX_MODEM_FSK4_GAIN1 59
#define EZRADIO_PROP_GRP_INDEX_MODEM_FSK4_GAIN0 60
#define EZRADIO_PROP_GRP_INDEX_MODEM_FSK4_TH 61
#define EZRADIO_PROP_GRP_INDEX_MODEM_FSK4_MAP 63
#define EZRADIO_PROP_GRP_INDEX_MODEM_OOK_PDTC 64
#define EZRADIO_PROP_GRP_INDEX_MODEM_OOK_BLOPK 65
#define EZRADIO_PROP_GRP_INDEX_MODEM_OOK_CNT1 66
#define EZRADIO_PROP_GRP_INDEX_MODEM_OOK_MISC 67
#define EZRADIO_PROP_GRP_INDEX_MODEM_RAW_CONTROL 69
#define EZRADIO_PROP_GRP_INDEX_MODEM_RAW_EYE 70
#define EZRADIO_PROP_GRP_INDEX_MODEM_ANT_DIV_MODE 72
#define EZRADIO_PROP_GRP_INDEX_MODEM_ANT_DIV_CONTROL 73
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_THRESH 74
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_JUMP_THRESH 75
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_CONTROL 76
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_CONTROL2 77
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_COMP 78
#define EZRADIO_PROP_GRP_INDEX_MODEM_RAW_SEARCH2 80
#define EZRADIO_PROP_GRP_INDEX_MODEM_CLKGEN_BAND 81
#define EZRADIO_PROP_GRP_INDEX_MODEM_SPIKE_DET 84
#define EZRADIO_PROP_GRP_INDEX_MODEM_ONE_SHOT_AFC 85
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_HYSTERESIS 86
#define EZRADIO_PROP_GRP_INDEX_MODEM_RSSI_MUTE 87
#define EZRADIO_PROP_GRP_INDEX_MODEM_FAST_RSSI_DELAY 88
#define EZRADIO_PROP_GRP_INDEX_MODEM_PSM 89
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSA_CTRL1 91
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSA_CTRL2 92
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSA_QUAL 93
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSA_RSSI 94
#define EZRADIO_PROP_GRP_INDEX_MODEM_DSA_MISC 95
#define EZRADIO_PROP_GRP_INDEX_MODEM_CHFLT_RX1_CHFLT_COE 0
#define EZRADIO_PROP_GRP_INDEX_MODEM_CHFLT_RX2_CHFLT_COE 18
#define EZRADIO_PROP_GRP_INDEX_PA_MODE 0
#define EZRADIO_PROP_GRP_INDEX_PA_PWR_LVL 1
#define EZRADIO_PROP_GRP_INDEX_PA_BIAS_CLKDUTY 2
#define EZRADIO_PROP_GRP_INDEX_PA_TC 3
#define EZRADIO_PROP_GRP_INDEX_PA_RAMP_EX 4
#define EZRADIO_PROP_GRP_INDEX_PA_RAMP_DOWN_DELAY 5
#define EZRADIO_PROP_GRP_INDEX_PA_DIG_PWR_SEQ_CONFIG 6
#define EZRADIO_PROP_GRP_INDEX_SYNTH_PFDCP_CPFF 0
#define EZRADIO_PROP_GRP_INDEX_SYNTH_PFDCP_CPINT 1
#define EZRADIO_PROP_GRP_INDEX_SYNTH_VCO_KV 2
#define EZRADIO_PROP_GRP_INDEX_SYNTH_LPFILT3 3
#define EZRADIO_PROP_GRP_INDEX_SYNTH_LPFILT2 4
#define EZRADIO_PROP_GRP_INDEX_SYNTH_LPFILT1 5
#define EZRADIO_PROP_GRP_INDEX_SYNTH_LPFILT0 6
#define EZRADIO_PROP_GRP_INDEX_SYNTH_VCO_KVCAL 7
#define EZRADIO_PROP_GRP_INDEX_MATCH_VALUE_1 0
#define EZRADIO_PROP_GRP_INDEX_MATCH_MASK_1 1
#define EZRADIO_PROP_GRP_INDEX_MATCH_CTRL_1 2
#define EZRADIO_PROP_GRP_INDEX_MATCH_VALUE_2 3
#define EZRADIO_PROP_GRP_INDEX_MATCH_MASK_2 4
#define EZRADIO_PROP_GRP_INDEX_MATCH_CTRL_2 5
#define EZRADIO_PROP_GRP_INDEX_MATCH_VALUE_3 6
#define EZRADIO_PROP_GRP_INDEX_MATCH_MASK_3 7
#define EZRADIO_PROP_GRP_INDEX_MATCH_CTRL_3 8
#define EZRADIO_PROP_GRP_INDEX_MATCH_VALUE_4 9
#define EZRADIO_PROP_GRP_INDEX_MATCH_MASK_4 10
#define EZRADIO_PROP_GRP_INDEX_MATCH_CTRL_4 11
#define EZRADIO_PROP_GRP_INDEX_FREQ_CONTROL_INTE 0
#define EZRADIO_PROP_GRP_INDEX_FREQ_CONTROL_FRAC 1
#define EZRADIO_PROP_GRP_INDEX_FREQ_CONTROL_CHANNEL_STEP_SIZE 4
#define EZRADIO_PROP_GRP_INDEX_FREQ_CONTROL_W_SIZE 6
#define EZRADIO_PROP_GRP_INDEX_FREQ_CONTROL_VCOCNT_RX_ADJ 7
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_CONTROL 0
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_SIZE 1
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_0 2
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_1 3
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_2 4
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_3 5
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_4 6
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_5 7
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_6 8
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_7 9
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_8 10
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_9 11
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_10 12
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_11 13
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_12 14
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_13 15
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_14 16
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_15 17
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_16 18
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_17 19
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_18 20
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_19 21
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_20 22
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_21 23
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_22 24
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_23 25
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_24 26
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_25 27
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_26 28
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_27 29
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_28 30
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_29 31
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_30 32
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_31 33
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_32 34
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_33 35
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_34 36
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_35 37
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_36 38
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_37 39
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_38 40
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_39 41
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_40 42
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_41 43
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_42 44
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_43 45
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_44 46
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_45 47
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_46 48
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_47 49
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_48 50
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_49 51
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_50 52
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_51 53
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_52 54
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_53 55
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_54 56
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_55 57
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_56 58
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_57 59
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_58 60
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_59 61
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_60 62
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_61 63
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_62 64
#define EZRADIO_PROP_GRP_INDEX_RX_HOP_TABLE_ENTRY_63 65

// Defines for fields within the properties.
#define EZRADIO_PROP_GLOBAL_XO_TUNE_DEFAULT 0x40

#define EZRADIO_PROP_GLOBAL_XO_TUNE_MASK 0xff
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_SIZE 7
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_LSB 0
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_MSB 6
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_MIN 0
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_MAX 0
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_MASK 0x7f
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_ENUM_FASTEST_FREQUENCY 0
#define EZRADIO_PROP_GLOBAL_XO_TUNE_TUNE_VALUE_ENUM_SLOWEST_FREQUENCY 127
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DEFAULT 0x0

#define EZRADIO_PROP_GLOBAL_CLK_CFG_MASK 0xff
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_SIZE 1
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_LSB 6
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_MSB 6
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_MASK 0x40
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_BIT 0x40
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_ENUM_DISABLE 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_EN_ENUM_ENABLE 1
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_SIZE 3
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_LSB 3
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_MSB 5
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_MIN 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_MAX 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_MASK 0x38
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_1 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_2 1
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_3 2
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_7_5 3
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_10 4
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_15 5
#define EZRADIO_PROP_GLOBAL_CLK_CFG_DIVIDED_CLK_SEL_ENUM_DIV_30 6
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_SIZE 2
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_LSB 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_MSB 1
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_MIN 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_MAX 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_MASK 0x3
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_ENUM_OFF 0
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_ENUM_RC 1
#define EZRADIO_PROP_GLOBAL_CLK_CFG_CLK_32K_SEL_ENUM_CRYSTAL 2
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_DEFAULT 0x18

#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_MASK 0xff
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_SIZE 5
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_LSB 0
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_MSB 4
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_MIN 0
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_MAX 31
#define EZRADIO_PROP_GLOBAL_LOW_BATT_THRESH_THRESHOLD_MASK 0x1f
#define EZRADIO_PROP_GLOBAL_CONFIG_DEFAULT 0x20

#define EZRADIO_PROP_GLOBAL_CONFIG_MASK 0xff
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_SIZE 1
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_LSB 6
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_MSB 6
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_MASK 0x40
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_BIT 0x40
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_TRUE_BIT 0x40
#define EZRADIO_PROP_GLOBAL_CONFIG_RESERVED_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_SIZE 1
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_LSB 5
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_MSB 5
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_MASK 0x20
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_BIT 0x20
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_TRUE_BIT 0x20
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_ENUM_GUARANTEED 0
#define EZRADIO_PROP_GLOBAL_CONFIG_SEQUENCER_MODE_ENUM_FAST 1
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_SIZE 1
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_LSB 4
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_MSB 4
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_MASK 0x10
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_BIT 0x10
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_TRUE_BIT 0x10
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_ENUM_SPLIT_FIFO 0
#define EZRADIO_PROP_GLOBAL_CONFIG_FIFO_MODE_ENUM_HALF_DUPLEX_FIFO 1
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_SIZE 3
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_LSB 1
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_MSB 3
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_MIN 0
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_MAX 0
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_MASK 0xe
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_ENUM_GENERIC 0
#define EZRADIO_PROP_GLOBAL_CONFIG_PROTOCOL_ENUM_IE154G 1
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_SIZE 1
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_LSB 0
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_MSB 0
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_MASK 0x1
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_BIT 0x1
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_TRUE_BIT 0x1
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_ENUM_HIGH_PERF 0
#define EZRADIO_PROP_GLOBAL_CONFIG_POWER_MODE_ENUM_LOW_POWER 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_SIZE 2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_LSB 6
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_MAX 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_MASK 0xc0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_ENUM_DISABLE_LDC 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_ENUM_RX_LDC 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LDC_EN_ENUM_TX_LDC 2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_SIZE 3
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_LSB 3
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_MSB 5
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_MAX 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_MASK 0x38
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_1_SEC 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_2_SEC 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_4_SEC 2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_8_SEC 3
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_16_SEC 4
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_32_SEC 5
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_64_SEC 6
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_CAL_PERIOD_ENUM_128_SEC 7
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_SIZE 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_LSB 2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_MSB 2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_MASK 0x4
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_BIT 0x4
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_TRUE_BIT 0x4
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_ENUM_DISABLE_LBD 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_LBD_EN_ENUM_ENABLE_LBD 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_SIZE 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_LSB 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_MSB 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_MASK 0x2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_BIT 0x2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_ENUM_DISABLE_WUT 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_WUT_EN_ENUM_ENABLE_WUT 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_SIZE 1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_MSB 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_MASK 0x1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_BIT 0x1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_TRUE_BIT 0x1
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_ENUM_DISABLE_CAL 0
#define EZRADIO_PROP_GLOBAL_WUT_CONFIG_CAL_EN_ENUM_ENABLE_CAL 1
#define EZRADIO_PROP_GLOBAL_WUT_M_DEFAULT ([ 0x0, 0x1 ])

#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_SIZE 16
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_MSB 15
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_MIN 1
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_MAX 65535
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_INDEX 5
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_DEFAULT 0x0
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_SIZE 8
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_15_8_MAX 255
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_INDEX 6
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_DEFAULT 0x1
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_SIZE 8
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_MIN 1
#define EZRADIO_PROP_GLOBAL_WUT_M_WUT_M_7_0_MAX 255

#define EZRADIO_PROP_GLOBAL_WUT_R_DEFAULT 0x60

#define EZRADIO_PROP_GLOBAL_WUT_R_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_SIZE 2
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_LSB 6
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_MAX 0
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_MASK 0xc0
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_ENUM_FOREVER 0
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_ENUM_TWO 1
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_ENUM_FOUR 2
#define EZRADIO_PROP_GLOBAL_WUT_R_LDC_MAX_PERIODS_ENUM_EIGHT 3
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_SIZE 1
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_LSB 5
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_MSB 5
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_MASK 0x20
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_BIT 0x20
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_TRUE_BIT 0x20
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_FALSE_BIT 0x00
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_ENUM_READY 0
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_SLEEP_ENUM_SLEEP 1
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_SIZE 5
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_MSB 4
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_MAX 20
#define EZRADIO_PROP_GLOBAL_WUT_R_WUT_R_MASK 0x1f
#define EZRADIO_PROP_GLOBAL_WUT_LDC_DEFAULT 0x0

#define EZRADIO_PROP_GLOBAL_WUT_LDC_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_SIZE 8
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_MIN 1
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_MAX 255
#define EZRADIO_PROP_GLOBAL_WUT_LDC_WUT_LDC_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_CAL_DEFAULT 0x0

#define EZRADIO_PROP_GLOBAL_WUT_CAL_MASK 0xff
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_SIZE 8
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_LSB 0
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_MSB 7
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_MIN 0
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_MAX 255
#define EZRADIO_PROP_GLOBAL_WUT_CAL_WUT_CAL_MASK 0xff
#define EZRADIO_PROP_INT_CTL_ENABLE_DEFAULT 0x4

#define EZRADIO_PROP_INT_CTL_ENABLE_MASK 0xff
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_LSB 2
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_MSB 2
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_MASK 0x4
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_BIT 0x4
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_TRUE_BIT 0x4
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_INT_CTL_ENABLE_CHIP_INT_STATUS_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_LSB 1
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_MSB 1
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_MASK 0x2
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_BIT 0x2
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_INT_CTL_ENABLE_MODEM_INT_STATUS_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_LSB 0
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_MSB 0
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_MASK 0x1
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_BIT 0x1
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_TRUE_BIT 0x1
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_INT_CTL_ENABLE_PH_INT_STATUS_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_DEFAULT 0x0

#define EZRADIO_PROP_INT_CTL_PH_ENABLE_MASK 0xff
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_LSB 7
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_MSB 7
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_MASK 0x80
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_BIT 0x80
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_TRUE_BIT 0x80
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MATCH_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_LSB 6
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_MSB 6
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_MASK 0x40
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_BIT 0x40
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_FILTER_MISS_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_LSB 5
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_MSB 5
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_MASK 0x20
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_BIT 0x20
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_SENT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_LSB 4
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_MSB 4
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_MASK 0x10
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_BIT 0x10
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_PACKET_RX_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_LSB 3
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_MSB 3
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_MASK 0x8
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_BIT 0x8
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_TRUE_BIT 0x8
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_CRC_ERROR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_LSB 2
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_MSB 2
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_MASK 0x4
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_BIT 0x4
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_TRUE_BIT 0x4
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_ALT_CRC_ERROR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_LSB 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_MSB 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_MASK 0x2
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_BIT 0x2
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_TX_FIFO_ALMOST_EMPTY_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_LSB 0
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_MSB 0
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_MASK 0x1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_BIT 0x1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_TRUE_BIT 0x1
#define EZRADIO_PROP_INT_CTL_PH_ENABLE_RX_FIFO_ALMOST_FULL_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_DEFAULT 0x0

#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_MASK 0xff
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_LSB 7
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_MSB 7
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_MASK 0x80
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_BIT 0x80
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_TRUE_BIT 0x80
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_LATCH_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_LSB 6
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_MSB 6
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_MASK 0x40
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_BIT 0x40
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_POSTAMBLE_DETECT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_LSB 5
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_MSB 5
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_MASK 0x20
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_BIT 0x20
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_SYNC_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_LSB 4
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_MSB 4
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_MASK 0x10
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_BIT 0x10
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_JUMP_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_LSB 3
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_MSB 3
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_MASK 0x8
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_BIT 0x8
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_TRUE_BIT 0x8
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_RSSI_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_LSB 2
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_MSB 2
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_MASK 0x4
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_BIT 0x4
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_TRUE_BIT 0x4
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_INVALID_PREAMBLE_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_LSB 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_MSB 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_MASK 0x2
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_BIT 0x2
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_PREAMBLE_DETECT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_LSB 0
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_MSB 0
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_MASK 0x1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_BIT 0x1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_TRUE_BIT 0x1
#define EZRADIO_PROP_INT_CTL_MODEM_ENABLE_SYNC_DETECT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_DEFAULT 0x4

#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_MASK 0xff
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_LSB 6
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_MSB 6
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_MASK 0x40
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_BIT 0x40
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CAL_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_LSB 5
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_MSB 5
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_MASK 0x20
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_BIT 0x20
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_FIFO_UNDERFLOW_OVERFLOW_ERROR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_LSB 4
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_MSB 4
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_MASK 0x10
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_BIT 0x10
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_STATE_CHANGE_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_LSB 3
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_MSB 3
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_MASK 0x8
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_BIT 0x8
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_TRUE_BIT 0x8
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CMD_ERROR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_LSB 2
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_MSB 2
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_MASK 0x4
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_BIT 0x4
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_TRUE_BIT 0x4
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_CHIP_READY_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_LSB 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_MSB 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_MASK 0x2
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_BIT 0x2
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_LOW_BATT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_SIZE 1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_LSB 0
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_MSB 0
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_MASK 0x1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_BIT 0x1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_TRUE_BIT 0x1
#define EZRADIO_PROP_INT_CTL_CHIP_ENABLE_WUT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_FRR_CTL_A_MODE_DEFAULT 0x1

#define EZRADIO_PROP_FRR_CTL_A_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_SIZE 8
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_LSB 0
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_MSB 7
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_MIN 0
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_MAX 0
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_DISABLED 0
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_STATUS 1
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_PEND 2
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_PH_STATUS 3
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_PH_PEND 4
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_MODEM_STATUS 5
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_MODEM_PEND 6
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_CHIP_STATUS 7
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_INT_CHIP_PEND 8
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_CURRENT_STATE 9
#define EZRADIO_PROP_FRR_CTL_A_MODE_FRR_A_MODE_ENUM_LATCHED_RSSI 10
#define EZRADIO_PROP_FRR_CTL_B_MODE_DEFAULT 0x2

#define EZRADIO_PROP_FRR_CTL_B_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_SIZE 8
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_LSB 0
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_MSB 7
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_MIN 0
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_MAX 0
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_DISABLED 0
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_STATUS 1
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_PEND 2
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_PH_STATUS 3
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_PH_PEND 4
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_MODEM_STATUS 5
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_MODEM_PEND 6
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_CHIP_STATUS 7
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_INT_CHIP_PEND 8
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_CURRENT_STATE 9
#define EZRADIO_PROP_FRR_CTL_B_MODE_FRR_B_MODE_ENUM_LATCHED_RSSI 10
#define EZRADIO_PROP_FRR_CTL_C_MODE_DEFAULT 0x9

#define EZRADIO_PROP_FRR_CTL_C_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_SIZE 8
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_LSB 0
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_MSB 7
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_MIN 0
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_MAX 0
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_DISABLED 0
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_STATUS 1
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_PEND 2
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_PH_STATUS 3
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_PH_PEND 4
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_MODEM_STATUS 5
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_MODEM_PEND 6
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_CHIP_STATUS 7
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_INT_CHIP_PEND 8
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_CURRENT_STATE 9
#define EZRADIO_PROP_FRR_CTL_C_MODE_FRR_C_MODE_ENUM_LATCHED_RSSI 10
#define EZRADIO_PROP_FRR_CTL_D_MODE_DEFAULT 0x0

#define EZRADIO_PROP_FRR_CTL_D_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_SIZE 8
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_LSB 0
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_MSB 7
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_MIN 0
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_MAX 0
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_MASK 0xff
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_DISABLED 0
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_STATUS 1
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_PEND 2
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_PH_STATUS 3
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_PH_PEND 4
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_MODEM_STATUS 5
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_MODEM_PEND 6
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_CHIP_STATUS 7
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_INT_CHIP_PEND 8
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_CURRENT_STATE 9
#define EZRADIO_PROP_FRR_CTL_D_MODE_FRR_D_MODE_ENUM_LATCHED_RSSI 10
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_DEFAULT 0x8

#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_SIZE 8
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_LSB 0
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_MSB 7
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_MIN 0
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_MAX 255
#define EZRADIO_PROP_PREAMBLE_TX_LENGTH_TX_LENGTH_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_DEFAULT 0x14

#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_LSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_MSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_MASK 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_TRUE_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_ENUM_DISABLE 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_SKIP_SYNC_TIMEOUT_ENUM_ENABLE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_SIZE 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_LSB 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_MSB 6
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_MAX 127
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_1_RX_THRESH_MASK 0x7f
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_DEFAULT 0x0

#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_SIZE 3
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_LSB 5
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_MSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_MAX 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_RX_ERRORS_MASK 0xe0
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_SIZE 5
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_LSB 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_MSB 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_MAX 31
#define EZRADIO_PROP_PREAMBLE_CONFIG_NSTD_PATTERN_LENGTH_MASK 0x1f
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_DEFAULT 0xf

#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_SIZE 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_LSB 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_MSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_MAX 15
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_EXTEND_MASK 0xf0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_SIZE 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_LSB 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_MSB 3
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_MAX 15
#define EZRADIO_PROP_PREAMBLE_CONFIG_STD_2_RX_PREAMBLE_TIMEOUT_MASK 0xf
#define EZRADIO_PROP_PREAMBLE_CONFIG_DEFAULT 0x21

#define EZRADIO_PROP_PREAMBLE_CONFIG_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_LSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_MSB 7
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_MASK 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_TRUE_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_ENUM_STANDARD_PREAM 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_RX_PREAM_SRC_ENUM_DSA_ONLY 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_LSB 5
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_MSB 5
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_MASK 0x20
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_BIT 0x20
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_TRUE_BIT 0x20
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_ENUM_FIRST_0 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_PREAM_FIRST_1_OR_0_ENUM_FIRST_1 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_LSB 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_MSB 4
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_MASK 0x10
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_BIT 0x10
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_TRUE_BIT 0x10
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_ENUM_NIBBLE 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_LENGTH_CONFIG_ENUM_BYTE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_LSB 3
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_MSB 3
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_MASK 0x8
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_BIT 0x8
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_TRUE_BIT 0x8
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_ENUM_NO_CON 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_CONST_ENUM_CONST 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_SIZE 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_LSB 2
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_MSB 2
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_MASK 0x4
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_BIT 0x4
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_TRUE_BIT 0x4
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_ENUM_NO_MAN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_MAN_ENABLE_ENUM_EN_MAN 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_SIZE 2
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_LSB 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_MSB 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_MIN 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_MAX 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_MASK 0x3
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_ENUM_PRE_NS 0
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_ENUM_PRE_1010 1
#define EZRADIO_PROP_PREAMBLE_CONFIG_STANDARD_PREAM_ENUM_PRE_0101 2
#define EZRADIO_PROP_PREAMBLE_PATTERN_DEFAULT ([ 0x0, 0x0, 0x0, 0x0 ])

#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_SIZE 32
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_MSB 31
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_LSB 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_MIN 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_MAX 4294967295
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_INDEX 5
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_SIZE 8
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_LSB 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_MSB 7
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_MIN 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_31_24_MAX 255
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_INDEX 6
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_SIZE 8
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_LSB 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_MSB 7
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_MIN 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_23_16_MAX 255
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_INDEX 7
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_SIZE 8
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_LSB 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_MSB 7
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_MIN 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_15_8_MAX 255
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_INDEX 8
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_SIZE 8
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_LSB 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_MSB 7
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_MIN 0
#define EZRADIO_PROP_PREAMBLE_PATTERN_PATTERN_7_0_MAX 255

#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_SIZE 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_LSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_MSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_MASK 0x80
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_TRUE_BIT 0x80
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_ENUM_FALSE 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_ENABLE_ENUM_TRUE 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_SIZE 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_LSB 6
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_MSB 6
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_MASK 0x40
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_BIT 0x40
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_TRUE_BIT 0x40
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_ENUM_FALSE 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_PKT_VALID_ON_POSTAMBLE_ENUM_TRUE 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_SIZE 2
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_MSB 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_MAX 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_MASK 0x3
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_ENUM_ENUM_2 2
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_CONFIG_POSTAMBLE_SIZE_ENUM_ENUM_3 3
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_DEFAULT ([ 0x0, 0x0, 0x0, 0x0 ])

#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_SIZE 32
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_MSB 31
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_MAX 4294967295
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_INDEX 10
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_SIZE 8
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_MSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_31_24_MAX 255
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_INDEX 11
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_SIZE 8
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_MSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_23_16_MAX 255
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_INDEX 12
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_SIZE 8
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_MSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_15_8_MAX 255
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_INDEX 13
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_MASK 0xff
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_SIZE 8
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_LSB 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_MSB 7
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_MIN 0
#define EZRADIO_PROP_PREAMBLE_POSTAMBLE_PATTERN_POSTAMBLE_PATTERN_7_0_MAX 255

#define EZRADIO_PROP_SYNC_CONFIG_DEFAULT 0x1

#define EZRADIO_PROP_SYNC_CONFIG_MASK 0xff
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_LSB 7
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_MSB 7
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_MASK 0x80
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_BIT 0x80
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_TRUE_BIT 0x80
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_ENUM_SYNC_XMIT 0
#define EZRADIO_PROP_SYNC_CONFIG_SKIP_TX_ENUM_NO_SYNC_XMIT 1
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_SIZE 3
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_LSB 4
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_MSB 6
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_MIN 0
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_MAX 7
#define EZRADIO_PROP_SYNC_CONFIG_RX_ERRORS_MASK 0x70
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_LSB 3
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_MSB 3
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_MASK 0x8
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_BIT 0x8
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_TRUE_BIT 0x8
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNC_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_LSB 2
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_MSB 2
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_MASK 0x4
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_BIT 0x4
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_TRUE_BIT 0x4
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_ENUM_DISABLED 0
#define EZRADIO_PROP_SYNC_CONFIG_MANCH_ENUM_ENABLED 1
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_SIZE 2
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_LSB 0
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_MSB 1
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_MIN 0
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_MAX 0
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_MASK 0x3
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_ENUM_LEN_1_BYTES 0
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_ENUM_LEN_2_BYTES 1
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_ENUM_LEN_3_BYTES 2
#define EZRADIO_PROP_SYNC_CONFIG_LENGTH_ENUM_LEN_4_BYTES 3
#define EZRADIO_PROP_SYNC_BITS_DEFAULT ([ 0x2d, 0xd4, 0x2d, 0xd4 ])

#define EZRADIO_PROP_SYNC_BITS_BITS_SIZE 32
#define EZRADIO_PROP_SYNC_BITS_BITS_MSB 31
#define EZRADIO_PROP_SYNC_BITS_BITS_LSB 0
#define EZRADIO_PROP_SYNC_BITS_BITS_MIN 0
#define EZRADIO_PROP_SYNC_BITS_BITS_MAX 4294967295
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_INDEX 1
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_MASK 0xff
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_DEFAULT 0x2d
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_SIZE 8
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_LSB 0
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_MSB 7
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_MIN 0
#define EZRADIO_PROP_SYNC_BITS_BITS_31_24_MAX 255
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_INDEX 2
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_MASK 0xff
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_DEFAULT 0xd4
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_SIZE 8
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_LSB 0
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_MSB 7
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_MIN 0
#define EZRADIO_PROP_SYNC_BITS_BITS_23_16_MAX 255
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_INDEX 3
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_MASK 0xff
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_DEFAULT 0x2d
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_SIZE 8
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_LSB 0
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_MSB 7
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_MIN 0
#define EZRADIO_PROP_SYNC_BITS_BITS_15_8_MAX 255
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_INDEX 4
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_MASK 0xff
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_DEFAULT 0xd4
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_SIZE 8
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_LSB 0
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_MSB 7
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_MIN 0
#define EZRADIO_PROP_SYNC_BITS_BITS_7_0_MAX 255

#define EZRADIO_PROP_SYNC_CONFIG2_DEFAULT 0x0

#define EZRADIO_PROP_SYNC_CONFIG2_MASK 0xff
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_LSB 7
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_MSB 7
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_MASK 0x80
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_BIT 0x80
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_TRUE_BIT 0x80
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_ENUM_SYNC_ERROR_RAND 0
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_ERROR_ONLY_BEGIN_ENUM_SYNC_ERROR_BEGIN 1
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_LSB 5
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_MSB 5
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_MASK 0x20
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_BIT 0x20
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_TRUE_BIT 0x20
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_ENUM_SYNC_TIMEOUT_MODEM 0
#define EZRADIO_PROP_SYNC_CONFIG2_SYNC_TIMEOUT_RST_ENUM_SYNC_TIMEOUT_PH 1
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_SIZE 1
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_LSB 4
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_MSB 4
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_MASK 0x10
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_BIT 0x10
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_SYNC_CONFIG2_DUAL_SYNC_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_SIZE 2
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_LSB 0
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_MSB 1
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_MIN 0
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_MAX 0
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_MASK 0x3
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_ENUM_SUB_0 0
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_ENUM_SUB_2 1
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_ENUM_SUB_4 2
#define EZRADIO_PROP_SYNC_CONFIG2_LENGTH_SUB_ENUM_SUB_6 3
#define EZRADIO_PROP_PKT_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_SIZE 1
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_LSB 7
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_MSB 7
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_MASK 0x80
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_BIT 0x80
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_ENUM_CRC_SEED_0 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_SEED_ENUM_CRC_SEED_1 1
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_SIZE 3
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_LSB 4
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_MSB 6
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_MIN 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_MAX 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_MASK 0x70
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_NO_CRC 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_ITU_T_CRC8 1
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_IEC_16 2
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_BAICHEVA_16 3
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_CRC_16_IBM 4
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_CCITT_16 5
#define EZRADIO_PROP_PKT_CRC_CONFIG_ALT_CRC_POLYNOMIAL_ENUM_CRC_16_DNP 6
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_SIZE 4
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_LSB 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_MSB 3
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_MIN 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_MAX 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_MASK 0xf
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_NO_CRC 0
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_ITU_T_CRC8 1
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_IEC_16 2
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_BAICHEVA_16 3
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_CRC_16_IBM 4
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_CCITT_16 5
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_KOOPMAN 6
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_IEEE_802_3 7
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_CASTAGNOLI 8
#define EZRADIO_PROP_PKT_CRC_CONFIG_CRC_POLYNOMIAL_ENUM_CRC_16_DNP 9
#define EZRADIO_PROP_PKT_WHT_POLY_DEFAULT ([ 0x1, 0x8 ])

#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_SIZE 16
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_MSB 15
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_LSB 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_MIN 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_MAX 65535
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_INDEX 1
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_MASK 0xff
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_DEFAULT 0x1
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_SIZE 8
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_LSB 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_MSB 7
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_MIN 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_15_8_MAX 255
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_INDEX 2
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_DEFAULT 0x8
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_SIZE 8
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_LSB 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_MSB 7
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_MIN 0
#define EZRADIO_PROP_PKT_WHT_POLY_WHT_POLY_7_0_MAX 255

#define EZRADIO_PROP_PKT_WHT_SEED_DEFAULT ([ 0xff, 0xff ])

#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_SIZE 16
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_MSB 15
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_LSB 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_MIN 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_MAX 65535
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_INDEX 3
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_MASK 0xff
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_DEFAULT 0xff
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_SIZE 8
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_LSB 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_MSB 7
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_MIN 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_15_8_MAX 255
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_INDEX 4
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_DEFAULT 0xff
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_SIZE 8
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_LSB 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_MSB 7
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_MIN 0
#define EZRADIO_PROP_PKT_WHT_SEED_WHT_SEED_7_0_MAX 255

#define EZRADIO_PROP_PKT_WHT_BIT_NUM_DEFAULT 0x0

#define EZRADIO_PROP_PKT_WHT_BIT_NUM_MASK 0xff
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_SIZE 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_LSB 7
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_MSB 7
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_MASK 0x80
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_BIT 0x80
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_ENUM_DISABLE 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_WHT_CTRL_ENUM_ENABLE 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_SIZE 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_LSB 6
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_MSB 6
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_MASK 0x40
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_BIT 0x40
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_ENUM_DISABLE 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_SW_CRC_CTRL_ENUM_ENABLE 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_SIZE 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_LSB 5
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_MSB 5
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_MASK 0x20
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_BIT 0x20
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_ENUM_FORWARD 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_PN_DIRECTION_ENUM_REVERSED 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_SIZE 4
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_LSB 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_MSB 3
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_MIN 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_MAX 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_MASK 0xf
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_2 2
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_3 3
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_4 4
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_5 5
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_6 6
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_7 7
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_8 8
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_9 9
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_10 10
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_11 11
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_12 12
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_13 13
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_14 14
#define EZRADIO_PROP_PKT_WHT_BIT_NUM_WHT_BIT_NUM_ENUM_ENUM_15 15
#define EZRADIO_PROP_PKT_CONFIG1_DEFAULT 0x0

#define EZRADIO_PROP_PKT_CONFIG1_MASK 0xff
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_LSB 7
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_MSB 7
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_MASK 0x80
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_BIT 0x80
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_ENUM_FIELD_SHARED 0
#define EZRADIO_PROP_PKT_CONFIG1_PH_FIELD_SPLIT_ENUM_FIELD_SPLIT 1
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_LSB 6
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_MSB 6
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_MASK 0x40
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_BIT 0x40
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_ENUM_RX_ENABLED 0
#define EZRADIO_PROP_PKT_CONFIG1_PH_RX_DISABLE_ENUM_RX_DISABLED 1
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_LSB 5
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_MSB 5
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_MASK 0x20
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_BIT 0x20
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_ENUM_DISABLE 0
#define EZRADIO_PROP_PKT_CONFIG1_4FSK_EN_ENUM_ENABLE 1
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_LSB 4
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_MSB 4
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_MASK 0x10
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_BIT 0x10
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_ENUM_DISABLE 0
#define EZRADIO_PROP_PKT_CONFIG1_RX_MULTI_PKT_ENUM_ENABLE 1
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_LSB 3
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_MSB 3
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_MASK 0x8
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_BIT 0x8
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_ENUM_PATTERN_10 0
#define EZRADIO_PROP_PKT_CONFIG1_MANCH_POL_ENUM_PATTERN_01 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_LSB 2
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_MSB 2
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_MASK 0x4
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_BIT 0x4
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_ENUM_NO_INVERT 0
#define EZRADIO_PROP_PKT_CONFIG1_CRC_INVERT_ENUM_INVERT_CRC 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_LSB 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_MSB 1
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_MASK 0x2
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_BIT 0x2
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_ENUM_LSBYTE_FIRST 0
#define EZRADIO_PROP_PKT_CONFIG1_CRC_ENDIAN_ENUM_MSBYTE_FIRST 1
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_LSB 0
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_MSB 0
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_MASK 0x1
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_BIT 0x1
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_ENUM_MSBIT_FIRST 0
#define EZRADIO_PROP_PKT_CONFIG1_BIT_ORDER_ENUM_LSBIT_FIRST 1
#define EZRADIO_PROP_PKT_CONFIG2_DEFAULT 0x0

#define EZRADIO_PROP_PKT_CONFIG2_MASK 0xff
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_LSB 7
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_MSB 7
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_MASK 0x80
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_BIT 0x80
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_ENUM_MSBIT_FIRST 0
#define EZRADIO_PROP_PKT_CONFIG2_CRC_BIT_ENDIAN_ENUM_LSBIT_FIRST 1
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_LSB 6
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_MSB 6
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_MASK 0x40
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_BIT 0x40
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_ENUM_NO_PADDING 0
#define EZRADIO_PROP_PKT_CONFIG2_CRC_PADDING_ENUM_PAD_ZEROS 1
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_LSB 5
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_MSB 5
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_MASK 0x20
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_BIT 0x20
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_ENUM_ALT_CRC_SEED_0 0
#define EZRADIO_PROP_PKT_CONFIG2_ALT_CRC_SEED_ENUM_ALT_CRC_SEED_1 1
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_SIZE 1
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_LSB 4
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_MSB 4
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_MASK 0x10
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_BIT 0x10
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_ENUM_DISABLED 0
#define EZRADIO_PROP_PKT_CONFIG2_EN_3_OF_6_ENUM_ENABLED 1
#define EZRADIO_PROP_PKT_LEN_DEFAULT 0x0

#define EZRADIO_PROP_PKT_LEN_MASK 0xff
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_SIZE 1
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_LSB 6
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_MSB 6
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_MASK 0x40
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_BIT 0x40
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_ENUM_NORMAL 0
#define EZRADIO_PROP_PKT_LEN_INFINITE_LEN_ENUM_INFINITE 1
#define EZRADIO_PROP_PKT_LEN_ENDIAN_SIZE 1
#define EZRADIO_PROP_PKT_LEN_ENDIAN_LSB 5
#define EZRADIO_PROP_PKT_LEN_ENDIAN_MSB 5
#define EZRADIO_PROP_PKT_LEN_ENDIAN_MASK 0x20
#define EZRADIO_PROP_PKT_LEN_ENDIAN_BIT 0x20
#define EZRADIO_PROP_PKT_LEN_ENDIAN_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_LEN_ENDIAN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_LEN_ENDIAN_ENUM_LITTLE 0
#define EZRADIO_PROP_PKT_LEN_ENDIAN_ENUM_BIG 1
#define EZRADIO_PROP_PKT_LEN_SIZE_SIZE 1
#define EZRADIO_PROP_PKT_LEN_SIZE_LSB 4
#define EZRADIO_PROP_PKT_LEN_SIZE_MSB 4
#define EZRADIO_PROP_PKT_LEN_SIZE_MASK 0x10
#define EZRADIO_PROP_PKT_LEN_SIZE_BIT 0x10
#define EZRADIO_PROP_PKT_LEN_SIZE_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_LEN_SIZE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_LEN_SIZE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_LEN_SIZE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_SIZE 1
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_LSB 3
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_MSB 3
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_MASK 0x8
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_BIT 0x8
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_ENUM_CUT_OUT 0
#define EZRADIO_PROP_PKT_LEN_IN_FIFO_ENUM_LEAVE_IN 1
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_SIZE 3
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_LSB 0
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_MSB 2
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_MIN 0
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_MAX 0
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_MASK 0x7
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_2 2
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_3 3
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_4 4
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_5 5
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_6 6
#define EZRADIO_PROP_PKT_LEN_DST_FIELD_ENUM_ENUM_7 7
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_DEFAULT 0x0

#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_MASK 0xff
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_SIZE 3
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_LSB 0
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_MSB 2
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_MIN 0
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_MAX 0
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_MASK 0x7
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_2 2
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_3 3
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_4 4
#define EZRADIO_PROP_PKT_LEN_FIELD_SOURCE_SRC_FIELD_ENUM_ENUM_5 5
#define EZRADIO_PROP_PKT_LEN_ADJUST_DEFAULT 0x0

#define EZRADIO_PROP_PKT_LEN_ADJUST_MASK 0xff
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_SIZE 8
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_LSB 0
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_MSB 7
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_MIN -128
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_MAX 127
#define EZRADIO_PROP_PKT_LEN_ADJUST_LEN_ADJUST_MASK 0xff
#define EZRADIO_PROP_PKT_TX_THRESHOLD_DEFAULT 0x30

#define EZRADIO_PROP_PKT_TX_THRESHOLD_MASK 0xff
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_SIZE 8
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_LSB 0
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_MSB 7
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_MIN 0
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_MAX 64
#define EZRADIO_PROP_PKT_TX_THRESHOLD_TX_THRESHOLD_MASK 0xff
#define EZRADIO_PROP_PKT_RX_THRESHOLD_DEFAULT 0x30

#define EZRADIO_PROP_PKT_RX_THRESHOLD_MASK 0xff
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_SIZE 8
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_LSB 0
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_MSB 7
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_MIN 0
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_MAX 64
#define EZRADIO_PROP_PKT_RX_THRESHOLD_RX_THRESHOLD_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_INDEX 13
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_INDEX 14
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_FIELD_1_LENGTH_FIELD_1_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_LSB 2
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_MSB 2
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_ENUM_ENUM_0 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_PN_START_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_LSB 7
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_MSB 7
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_MASK 0x80
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_BIT 0x80
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_START_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_LSB 6
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_MSB 6
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_MASK 0x40
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_BIT 0x40
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_ENUM_CONTINUE 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_START_ENUM_LOAD 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_LSB 5
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_MSB 5
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_MASK 0x20
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_LSB 4
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_MSB 4
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_INDEX 17
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_INDEX 18
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_FIELD_2_LENGTH_FIELD_2_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_LSB 5
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_MSB 5
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_MASK 0x20
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_LSB 4
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_MSB 4
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_INDEX 21
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_INDEX 22
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_FIELD_3_LENGTH_FIELD_3_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_LSB 5
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_MSB 5
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_MASK 0x20
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_LSB 4
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_MSB 4
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_INDEX 25
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_INDEX 26
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_FIELD_4_LENGTH_FIELD_4_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_LSB 5
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_MSB 5
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_MASK 0x20
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_LSB 4
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_MSB 4
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_INDEX 29
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_INDEX 30
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_FIELD_5_LENGTH_FIELD_5_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_LSB 5
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_MSB 5
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_MASK 0x20
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_TRUE_BIT 0x20
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_LSB 4
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_MSB 4
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_MASK 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_SEND_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_INDEX 33
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_INDEX 34
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_LENGTH_RX_FIELD_1_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_ENUM_ENUM_0 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_PN_START_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_LSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_MASK 0x80
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_BIT 0x80
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_TRUE_BIT 0x80
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_START_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_LSB 6
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_MSB 6
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_MASK 0x40
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_BIT 0x40
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_TRUE_BIT 0x40
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_ENUM_CONTINUE 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_START_ENUM_LOAD 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_1_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_INDEX 37
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_INDEX 38
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_LENGTH_RX_FIELD_2_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_2_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_INDEX 41
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_INDEX 42
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_LENGTH_RX_FIELD_3_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_3_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_INDEX 45
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_INDEX 46
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_LENGTH_RX_FIELD_4_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_4_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_SIZE 13
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_MSB 12
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_MAX 8191
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_INDEX 49
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_MASK 0x1f
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_SIZE 5
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_12_8_MAX 31
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_INDEX 50
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_SIZE 8
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_MSB 7
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_MIN 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_LENGTH_RX_FIELD_5_LENGTH_7_0_MAX 255

#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_LSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_MSB 4
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_MASK 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_TRUE_BIT 0x10
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_4FSK_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_WHITEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CONFIG_MANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_DEFAULT 0x0

#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_MASK 0xff
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_LSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_MSB 3
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_MASK 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_TRUE_BIT 0x8
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_LSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_MSB 2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_MASK 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_TRUE_BIT 0x4
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CHECK_ALT_CRC_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_LSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_MSB 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_MASK 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_TRUE_BIT 0x2
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_SIZE 1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_LSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_MSB 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_MASK 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_TRUE_BIT 0x1
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_PKT_RX_FIELD_5_CRC_CONFIG_ALT_CRC_ENABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_PKT_CRC_SEED_DEFAULT ([ 0x0, 0x0, 0x0, 0x0 ])

#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_SIZE 32
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_MSB 31
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_LSB 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_MIN 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_MAX 4294967295
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_INDEX 54
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_MASK 0xff
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_DEFAULT 0x0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_SIZE 8
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_LSB 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_MSB 7
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_MIN 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_31_24_MAX 255
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_INDEX 55
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_MASK 0xff
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_DEFAULT 0x0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_SIZE 8
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_LSB 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_MSB 7
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_MIN 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_23_16_MAX 255
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_INDEX 56
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_MASK 0xff
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_DEFAULT 0x0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_SIZE 8
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_LSB 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_MSB 7
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_MIN 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_15_8_MAX 255
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_INDEX 57
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_MASK 0xff
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_DEFAULT 0x0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_SIZE 8
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_LSB 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_MSB 7
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_MIN 0
#define EZRADIO_PROP_PKT_CRC_SEED_CRC_SEED_7_0_MAX 255

#define EZRADIO_PROP_MODEM_MOD_TYPE_DEFAULT 0x2

#define EZRADIO_PROP_MODEM_MOD_TYPE_MASK 0xff
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_SIZE 1
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_LSB 7
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_MSB 7
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_MASK 0x80
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_BIT 0x80
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_ENUM_SYNC 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_TYPE_ENUM_ASYNC 1
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_SIZE 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_LSB 5
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_MSB 6
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_MIN 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_MAX 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_MASK 0x60
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_ENUM_GPIO0 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_ENUM_GPIO1 1
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_ENUM_GPIO2 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_TX_DIRECT_MODE_GPIO_ENUM_GPIO3 3
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_SIZE 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_LSB 3
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_MSB 4
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_MIN 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_MAX 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_MASK 0x18
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_ENUM_PACKET 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_ENUM_DIRECT 1
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_SOURCE_ENUM_PSEUDO 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_SIZE 3
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_LSB 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_MSB 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_MIN 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_MAX 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_MASK 0x7
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_CW 0
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_OOK 1
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_2FSK 2
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_2GFSK 3
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_4FSK 4
#define EZRADIO_PROP_MODEM_MOD_TYPE_MOD_TYPE_ENUM_4GFSK 5
#define EZRADIO_PROP_MODEM_MAP_CONTROL_DEFAULT 0x80

#define EZRADIO_PROP_MODEM_MAP_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_SIZE 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_LSB 7
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_MSB 7
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_MASK 0x80
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_BIT 0x80
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENMANCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_SIZE 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_LSB 6
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_MSB 6
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_MASK 0x40
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_BIT 0x40
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_RXBIT_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_SIZE 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_LSB 5
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_MSB 5
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_MASK 0x20
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_BIT 0x20
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_TXBIT_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_SIZE 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_LSB 4
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_MSB 4
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_MASK 0x10
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_BIT 0x10
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_FD_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_SIZE 1
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_LSB 3
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_MSB 3
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_MASK 0x8
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_BIT 0x8
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MAP_CONTROL_ENINV_ADCQ_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DEFAULT 0x7

#define EZRADIO_PROP_MODEM_DSM_CTRL_MASK 0xff
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_LSB 7
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_MSB 7
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_MASK 0x80
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_BIT 0x80
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMCLK_SEL_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_LSB 6
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_MSB 6
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_MASK 0x40
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_BIT 0x40
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_MODE_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_LSB 5
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_MSB 5
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_MASK 0x20
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_BIT 0x20
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDT_EN_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_LSB 4
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_MSB 4
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_MASK 0x10
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_BIT 0x10
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSMDTTP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_LSB 3
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_MSB 3
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_MASK 0x8
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_BIT 0x8
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_ENUM_ENABLE 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_RST_ENUM_RESET 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_SIZE 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_LSB 2
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_MSB 2
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_MASK 0x4
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_BIT 0x4
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_LSB_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_SIZE 2
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_LSB 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_MSB 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_MIN 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_MAX 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_MASK 0x3
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_DSM_CTRL_DSM_ORDER_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_DATA_RATE_DEFAULT ([ 0xf, 0x42, 0x40 ])

#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_SIZE 24
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_MSB 23
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_LSB 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_MIN 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_MAX 16777215
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_INDEX 3
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_MASK 0xff
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_DEFAULT 0xf
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_SIZE 8
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_LSB 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_MSB 7
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_MIN 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_23_16_MAX 255
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_INDEX 4
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_DEFAULT 0x42
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_LSB 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_MSB 7
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_MIN 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_15_8_MAX 255
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_INDEX 5
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_DEFAULT 0x40
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_LSB 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_MSB 7
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_MIN 0
#define EZRADIO_PROP_MODEM_DATA_RATE_DATA_RATE_7_0_MAX 255

#define EZRADIO_PROP_MODEM_TX_NCO_MODE_DEFAULT ([ 0x1, 0xc9, 0xc3, 0x80 ])

#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_SIZE 2
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_MSB 3
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_LSB 2
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_MAX 3
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_TXOSR_ENUM_ENUM_3 3

#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_SIZE 26
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_MSB 25
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_LSB 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_MAX 67108863
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_INDEX 6
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_MASK 0x3
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_SIZE 2
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_LSB 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_MSB 1
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_25_24_MAX 3
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_INDEX 7
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_DEFAULT 0xc9
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_SIZE 8
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_LSB 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_MSB 7
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_23_16_MAX 255
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_INDEX 8
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_DEFAULT 0xc3
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_LSB 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_MSB 7
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_15_8_MAX 255
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_INDEX 9
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_DEFAULT 0x80
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_LSB 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_MSB 7
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_MIN 0
#define EZRADIO_PROP_MODEM_TX_NCO_MODE_NCOMOD_7_0_MAX 255

#define EZRADIO_PROP_MODEM_FREQ_DEV_DEFAULT ([ 0x0, 0x6, 0xd3 ])

#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_SIZE 17
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_MSB 16
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_INDEX 10
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_MASK 0x1
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_SIZE 1
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_MSB 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_16_16_MAX 1
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_INDEX 11
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_DEFAULT 0x6
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_MSB 7
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_15_8_MAX 255
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_INDEX 12
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_DEFAULT 0xd3
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_MSB 7
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_DEV_FREQDEV_7_0_MAX 255

#define EZRADIO_PROP_MODEM_FREQ_OFFSET_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_SIZE 16
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_MSB 15
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_MAX 65535
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_INDEX 13
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_MSB 7
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_15_8_MAX 255
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_INDEX 14
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_LSB 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_MSB 7
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_MIN 0
#define EZRADIO_PROP_MODEM_FREQ_OFFSET_FREQOFFSET_7_0_MAX 255

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_DEFAULT 0x67

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_8_TXCOE8_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_DEFAULT 0x60

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_7_TXCOE7_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_DEFAULT 0x4d

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_6_TXCOE6_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_DEFAULT 0x36

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_5_TXCOE5_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_DEFAULT 0x21

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_4_TXCOE4_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_DEFAULT 0x11

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_3_TXCOE3_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_DEFAULT 0x8

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_2_TXCOE2_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_DEFAULT 0x3

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_1_TXCOE1_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_DEFAULT 0x1

#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_SIZE 8
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_LSB 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_MSB 7
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_MIN 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_MAX 0
#define EZRADIO_PROP_MODEM_TX_FILTER_COEFF_0_TXCOE0_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_DEFAULT 0x1

#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_MASK 0xff
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_SIZE 3
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_LSB 0
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_MSB 2
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_MIN 1
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_MAX 7
#define EZRADIO_PROP_MODEM_TX_RAMP_DELAY_RAMP_DLY_MASK 0x7
#define EZRADIO_PROP_MODEM_MDM_CTRL_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_MDM_CTRL_MASK 0xff
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_LSB 7
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_MSB 7
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_MASK 0x80
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_BIT 0x80
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_MDM_CTRL_PH_SRC_SEL_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_LSB 0
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_MSB 0
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_MASK 0x1
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_BIT 0x1
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_ENUM_PH 0
#define EZRADIO_PROP_MODEM_MDM_CTRL_FIFO_SRC_SEL_ENUM_PHASE 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_DEFAULT 0x8

#define EZRADIO_PROP_MODEM_IF_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_SIZE 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_LSB 4
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_MSB 4
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_MASK 0x10
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_BIT 0x10
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_ENUM_NORMAL 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_ZEROIF_ENUM_ZERO 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_SIZE 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_LSB 3
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_MSB 3
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_MASK 0x8
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_BIT 0x8
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_ENUM_SCALED 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_FIXIF_ENUM_FIXED 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_SIZE 2
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_LSB 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_MSB 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_MIN 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_MAX 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_MASK 0x3
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_ENUM_DISABLE 0
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_ENUM_ETSI_868 1
#define EZRADIO_PROP_MODEM_IF_CONTROL_ETSI_MODE_ENUM_ETSI_169 2
#define EZRADIO_PROP_MODEM_IF_FREQ_DEFAULT ([ 0x3, 0xc0, 0x0 ])

#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_SIZE 18
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_MSB 17
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_LSB 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_MIN 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_MAX 262143
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_INDEX 27
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_MASK 0x3
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_SIZE 2
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_LSB 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_MSB 1
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_MIN 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_17_16_MAX 3
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_INDEX 28
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_DEFAULT 0xc0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_LSB 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_MSB 7
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_MIN 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_15_8_MAX 255
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_INDEX 29
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_LSB 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_MSB 7
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_MIN 0
#define EZRADIO_PROP_MODEM_IF_FREQ_IF_FREQ_7_0_MAX 255

#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_DEFAULT 0x10

#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_MASK 0xff
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_SIZE 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_LSB 6
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_MSB 7
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_MIN 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_MAX 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_MASK 0xc0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC2_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_SIZE 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_LSB 4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_MSB 5
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_MIN 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_MAX 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_MASK 0x30
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC1_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_SIZE 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_LSB 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_MSB 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_MIN 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_MAX 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_MASK 0xe
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_4 4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_5 5
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_6 6
#define EZRADIO_PROP_MODEM_DECIMATION_CFG1_NDEC0_ENUM_ENUM_7 7
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DEFAULT 0x20

#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_MASK 0xff
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_LSB 7
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_MSB 7
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_MASK 0x80
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_BIT 0x80
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_CHFLT_LOPW_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_LSB 6
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_MSB 6
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_MASK 0x40
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_BIT 0x40
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DROOPFLTBYP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_LSB 5
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_MSB 5
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_MASK 0x20
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_BIT 0x20
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN3BYP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_LSB 4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_MSB 4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_MASK 0x10
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_BIT 0x10
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_DWN2BYP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_LSB 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_MSB 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_MASK 0x1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_BIT 0x1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG0_RXGAINX2_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_MASK 0xff
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_SIZE 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_LSB 5
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_MSB 6
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_MIN 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_MAX 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_MASK 0x60
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_ENUM_NDEC3_1 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_ENUM_NDEC3_2 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_ENUM_NDEC3_4 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC3_ENUM_NDEC3_8 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_SIZE 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_LSB 3
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_MSB 4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_MIN 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_MAX 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_MASK 0x18
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_ENUM_NDEC2_GAIN0 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_ENUM_NDEC2_GAIN12 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2GAIN_ENUM_NDEC2_GAIN24 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_SIZE 1
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_LSB 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_MSB 2
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_MASK 0x4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_BIT 0x4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DECIMATION_CFG2_NDEC2AGC_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_MASK 0xff
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_SIZE 4
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_LSB 4
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_MSB 7
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_MIN 0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_MAX 0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_HIGH_MASK 0xf0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_SIZE 4
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_LSB 0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_MSB 3
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_MIN 0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_MAX 0
#define EZRADIO_PROP_MODEM_IFPKD_THRESHOLDS_LOW_MASK 0xf
#define EZRADIO_PROP_MODEM_BCR_OSR_DEFAULT ([ 0x0, 0x4b ])

#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_SIZE 12
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_MSB 11
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_LSB 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_MIN 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_MAX 4095
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_INDEX 34
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_MASK 0xf
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_SIZE 4
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_LSB 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_MSB 3
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_MIN 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_11_8_MAX 15
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_INDEX 35
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_DEFAULT 0x4b
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_LSB 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_MSB 7
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_MIN 0
#define EZRADIO_PROP_MODEM_BCR_OSR_RXOSR_7_0_MAX 255

#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_DEFAULT ([ 0x6, 0xd3, 0xa0 ])

#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_SIZE 22
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_MSB 21
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_LSB 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_MIN 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_MAX 4194303
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_INDEX 36
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_MASK 0x3f
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_DEFAULT 0x6
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_SIZE 6
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_LSB 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_MSB 5
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_MIN 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_21_16_MAX 63
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_INDEX 37
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_DEFAULT 0xd3
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_LSB 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_MSB 7
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_MIN 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_15_8_MAX 255
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_INDEX 38
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_DEFAULT 0xa0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_LSB 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_MSB 7
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_MIN 0
#define EZRADIO_PROP_MODEM_BCR_NCO_OFFSET_NCOFF_7_0_MAX 255

#define EZRADIO_PROP_MODEM_BCR_GAIN_DEFAULT ([ 0x6, 0xd3 ])

#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_SIZE 11
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_MSB 10
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_LSB 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_MIN 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_MAX 2047
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_INDEX 39
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_MASK 0x7
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_DEFAULT 0x6
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_SIZE 3
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_LSB 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_MSB 2
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_MIN 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_10_8_MAX 7
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_INDEX 40
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_DEFAULT 0xd3
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_LSB 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_MSB 7
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_MIN 0
#define EZRADIO_PROP_MODEM_BCR_GAIN_CRGAIN_7_0_MAX 255

#define EZRADIO_PROP_MODEM_BCR_GEAR_DEFAULT 0x2

#define EZRADIO_PROP_MODEM_BCR_GEAR_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_SIZE 3
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_LSB 3
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_MSB 5
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_MIN 0
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_MAX 0
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRFAST_MASK 0x38
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_SIZE 3
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_LSB 0
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_MSB 2
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_MIN 0
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_MAX 0
#define EZRADIO_PROP_MODEM_BCR_GEAR_CRSLOW_MASK 0x7
#define EZRADIO_PROP_MODEM_BCR_MISC1_DEFAULT 0xc0

#define EZRADIO_PROP_MODEM_BCR_MISC1_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_LSB 7
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_MSB 7
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_MASK 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_BIT 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_ENUM_ENABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_BCRFBBYP_ENUM_DISABLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_LSB 6
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_MSB 6
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_MASK 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_BIT 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_ENUM_ENABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_SLICEFBBYP_ENUM_DISABLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_LSB 4
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_MSB 4
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_MASK 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_BIT 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXNCOCOMP_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_LSB 3
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_MSB 3
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_MASK 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_BIT 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_ENUM_SAMP_PREAMBLE_END 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_RXCOMP_LAT_ENUM_SAMP_PREAMBLE_VALID 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_LSB 2
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_MSB 2
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_MASK 0x4
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_BIT 0x4
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_ENUM_NORMAL 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_CRGAINX2_ENUM_DOUBLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_LSB 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_MSB 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_MASK 0x2
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_BIT 0x2
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_TRUE_BIT 0x2
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_ENUM_ENABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_DIS_MIDPT_ENUM_DISABLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_LSB 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_MSB 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_MASK 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_BIT 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_ENUM_ESCAPE_1CLK 0
#define EZRADIO_PROP_MODEM_BCR_MISC1_ESC_MIDPT_ENUM_ESCAPE_PHASE_ERR 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_BCR_MISC0_MASK 0xff
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_LSB 7
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_MSB 7
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_MASK 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_BIT 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCWATCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_LSB 6
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_MSB 6
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_MASK 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_BIT 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_ADCRST_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_LSB 5
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_MSB 5
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_MASK 0x20
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_BIT 0x20
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_DISTOGG_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_LSB 4
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_MSB 4
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_MASK 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_BIT 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_PH0SIZE_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_LSB 3
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_MSB 3
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_MASK 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_BIT 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_RES_LOCKUP_BYP_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_SIZE 1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_LSB 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_MSB 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_MASK 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_BIT 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_BCR_MISC0_DSA_BCR_RST_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_AFC_GEAR_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_AFC_GEAR_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_SIZE 2
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_LSB 6
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_MSB 7
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_MAX 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_MASK 0xc0
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_AFC_GEAR_GEAR_SW_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_SIZE 3
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_LSB 3
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_MSB 5
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_MAX 7
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_FAST_MASK 0x38
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_SIZE 3
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_LSB 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_MSB 2
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_MAX 7
#define EZRADIO_PROP_MODEM_AFC_GEAR_AFC_SLOW_MASK 0x7
#define EZRADIO_PROP_MODEM_AFC_WAIT_DEFAULT 0x23

#define EZRADIO_PROP_MODEM_AFC_WAIT_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_SIZE 4
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_LSB 4
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_MSB 7
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_MIN 0
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_MAX 15
#define EZRADIO_PROP_MODEM_AFC_WAIT_SHWAIT_MASK 0xf0
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_SIZE 4
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_LSB 0
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_MSB 3
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_MIN 0
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_MAX 15
#define EZRADIO_PROP_MODEM_AFC_WAIT_LGWAIT_MASK 0xf
#define EZRADIO_PROP_MODEM_AFC_GAIN_DEFAULT ([ 0x83, 0x69 ])

#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_MSB 7
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_LSB 7
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_BIT 0x80
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_ENUM_DISABLE 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_ENAFC_ENUM_ENABLE 1

#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_MSB 6
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_LSB 6
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_BIT 0x40
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_ENUM_DISABLE 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCBD_ENUM_ENABLE 1

#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_MSB 5
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_LSB 5
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_BIT 0x20
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_ENUM_NO_REDUCTION 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFC_GAIN_DIV_ENUM_REDUCTION_BY_HALF 1

#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_SIZE 13
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_MSB 12
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_LSB 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_MAX 8191
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_INDEX 46
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_MASK 0x1f
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_SIZE 5
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_LSB 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_MSB 4
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_12_8_MAX 31
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_INDEX 47
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_DEFAULT 0x69
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_LSB 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_MSB 7
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_MIN 0
#define EZRADIO_PROP_MODEM_AFC_GAIN_AFCGAIN_7_0_MAX 255

#define EZRADIO_PROP_MODEM_AFC_LIMITER_DEFAULT ([ 0x0, 0x40 ])

#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_SIZE 15
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_MSB 14
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_LSB 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_MIN 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_MAX 32767
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_INDEX 48
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_MASK 0x7f
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_SIZE 7
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_LSB 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_MSB 6
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_MIN 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_14_8_MAX 127
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_INDEX 49
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_DEFAULT 0x40
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_LSB 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_MSB 7
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_MIN 0
#define EZRADIO_PROP_MODEM_AFC_LIMITER_AFCLIM_7_0_MAX 255

#define EZRADIO_PROP_MODEM_AFC_MISC_DEFAULT 0xa0

#define EZRADIO_PROP_MODEM_AFC_MISC_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_LSB 7
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_MSB 7
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_MASK 0x80
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_BIT 0x80
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_ENUM_AFC_PKT 0
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFCFRZ_ENUM_AFC_FRZN_AFTER_GEAR_SW 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_LSB 6
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_MSB 6
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_MASK 0x40
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_BIT 0x40
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_ENUM_DISABLE_AFC_COR_PLL 0
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFBPLL_ENUM_ENABLE_AFC_COR_PLL 1
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_LSB 5
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_MSB 5
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_MASK 0x20
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_BIT 0x20
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_ENUM_AFC_COR_MA 0
#define EZRADIO_PROP_MODEM_AFC_MISC_EN2TB_EST_ENUM_AFC_COR_2TB 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_LSB 4
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_MSB 4
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_MASK 0x10
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_BIT 0x10
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_ENUM_NO_AFC_FRZN 0
#define EZRADIO_PROP_MODEM_AFC_MISC_ENFZPMEND_ENUM_AFC_FRZN_PREAMBLE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_LSB 3
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_MSB 3
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_MASK 0x8
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_BIT 0x8
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_ENUM_NO_CLK_SW 0
#define EZRADIO_PROP_MODEM_AFC_MISC_ENAFC_CLKSW_ENUM_CLK_SW_TO_BCR_BCLK 1
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_LSB 2
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_MSB 2
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_MASK 0x4
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_BIT 0x4
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_ENUM_FSK_MOD 0
#define EZRADIO_PROP_MODEM_AFC_MISC_OOK_ZEROG_ENUM_GFSK_LO_MOD 1
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_LSB 1
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_MSB 1
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_MASK 0x2
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_BIT 0x2
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_TRUE_BIT 0x2
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_ENUM_AFC_FRZN_CONSEC_BITS 0
#define EZRADIO_PROP_MODEM_AFC_MISC_NON_FRZEN_ENUM_AFC_ALWAYS_EN 1
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_SIZE 1
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_LSB 0
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_MSB 0
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_MASK 0x1
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_BIT 0x1
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_AFC_MISC_LARGE_FREQ_ERR_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_MASK 0xff
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_SIZE 8
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_LSB 0
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_MSB 7
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_MIN 0
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_MAX 0
#define EZRADIO_PROP_MODEM_AFC_ZIFOFF_ZEROFF_MASK 0xff
#define EZRADIO_PROP_MODEM_ADC_CTRL_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_ADC_CTRL_MASK 0xff
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_SIZE 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_LSB 4
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_MSB 4
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_MASK 0x10
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_BIT 0x10
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ADC_CTRL_HGAIN_ENUM_ENUM_0 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_SIZE 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_LSB 3
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_MSB 3
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_MASK 0x8
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_BIT 0x8
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_ENUM_DISABLE 0
#define EZRADIO_PROP_MODEM_ADC_CTRL_EN_DRST_ENUM_ENABLE 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_SIZE 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_LSB 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_MSB 1
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_MASK 0x2
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_BIT 0x2
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_TRUE_BIT 0x2
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_ENUM_COMPLEX 0
#define EZRADIO_PROP_MODEM_ADC_CTRL_REALADC_ENUM_REAL 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_DEFAULT 0xe0

#define EZRADIO_PROP_MODEM_AGC_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_LSB 7
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_MSB 7
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_MASK 0x80
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_BIT 0x80
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGCOVPKT_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_LSB 6
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_MSB 6
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_MASK 0x40
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_BIT 0x40
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_IFPDSLOW_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_LSB 5
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_MSB 5
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_MASK 0x20
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_BIT 0x20
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RFPDSLOW_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_LSB 4
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_MSB 4
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_MASK 0x10
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_BIT 0x10
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_SGI_N_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_LSB 3
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_MSB 3
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_MASK 0x8
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_BIT 0x8
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_AGC_SLOW_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_LSB 2
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_MSB 2
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_MASK 0x4
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_BIT 0x4
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_ENUM_DO_NOTHING 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_FORCE_ADC_GAIN_LOW_ENUM_FORCE_LOW 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_LSB 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_MSB 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_MASK 0x2
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_BIT 0x2
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_TRUE_BIT 0x2
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_ENUM_ADC_GAIN_DIS 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_ADC_GAIN_COR_EN_ENUM_ADC_GAIN_VIA_AGC 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_SIZE 1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_LSB 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_MSB 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_MASK 0x1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_BIT 0x1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_AGC_CONTROL_RST_PKDT_PERIOD_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_DEFAULT 0x11

#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MASK 0xff
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_SIZE 4
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_LSB 4
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_MSB 7
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_MIN 1
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_MAX 15
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_MEASWIN_MASK 0xf0
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_SIZE 4
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_LSB 0
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_MSB 3
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_MIN 1
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_MAX 15
#define EZRADIO_PROP_MODEM_AGC_WINDOW_SIZE_SETTLEWIN_MASK 0xf
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_DEFAULT 0x10

#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_MASK 0xff
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_SIZE 8
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_LSB 0
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_MSB 7
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_MIN 1
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_MAX 255
#define EZRADIO_PROP_MODEM_AGC_RFPD_DECAY_RFPD_DECAY_MASK 0xff
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_DEFAULT 0x10

#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_MASK 0xff
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_SIZE 8
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_LSB 0
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_MSB 7
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_MIN 1
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_MAX 255
#define EZRADIO_PROP_MODEM_AGC_IFPD_DECAY_IFPD_DECAY_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_DEFAULT 0xb

#define EZRADIO_PROP_MODEM_FSK4_GAIN1_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_SIZE 1
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_LSB 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_MSB 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_MASK 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_BIT 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_ISIS_DISABLE_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_SIZE 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_MSB 6
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_MAX 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN1_4FSK_GAIN1_MASK 0x7f
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_DEFAULT 0x1c

#define EZRADIO_PROP_MODEM_FSK4_GAIN0_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_SIZE 1
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_LSB 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_MSB 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_MASK 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_BIT 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_PHASE_COMP_2FSK_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_SIZE 7
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_MSB 6
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_MAX 0
#define EZRADIO_PROP_MODEM_FSK4_GAIN0_4FSK_GAIN0_MASK 0x7f
#define EZRADIO_PROP_MODEM_FSK4_TH_DEFAULT ([ 0x40, 0x0 ])

#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_SIZE 16
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_MSB 15
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_MAX 65535
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_INDEX 61
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_DEFAULT 0x40
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_SIZE 8
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_MSB 7
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_15_8_MAX 255
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_INDEX 62
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_MSB 7
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_TH_4FSKTH_7_0_MAX 255

#define EZRADIO_PROP_MODEM_FSK4_MAP_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_FSK4_MAP_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_SIZE 8
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_LSB 0
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_MSB 7
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_MIN 0
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_MAX 0
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_MASK 0xff
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_4 4
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_5 5
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_6 6
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_7 7
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_8 8
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_9 9
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_10 10
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_11 11
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_12 12
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_13 13
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_14 14
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_15 15
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_16 16
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_17 17
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_18 18
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_19 19
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_20 20
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_21 21
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_22 22
#define EZRADIO_PROP_MODEM_FSK4_MAP_4FSKMAP_ENUM_ENUM_23 23
#define EZRADIO_PROP_MODEM_OOK_PDTC_DEFAULT 0x2b

#define EZRADIO_PROP_MODEM_OOK_PDTC_MASK 0xff
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_SIZE 3
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_LSB 4
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_MSB 6
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_MIN 0
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_MAX 7
#define EZRADIO_PROP_MODEM_OOK_PDTC_ATTACK_MASK 0x70
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_SIZE 4
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_LSB 0
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_MSB 3
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_MIN 0
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_MAX 15
#define EZRADIO_PROP_MODEM_OOK_PDTC_DECAY_MASK 0xf
#define EZRADIO_PROP_MODEM_OOK_BLOPK_DEFAULT 0xc

#define EZRADIO_PROP_MODEM_OOK_BLOPK_MASK 0xff
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_SIZE 8
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_LSB 0
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_MSB 7
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_MIN 0
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_MAX 255
#define EZRADIO_PROP_MODEM_OOK_BLOPK_BW_PK_MASK 0xff
#define EZRADIO_PROP_MODEM_OOK_CNT1_DEFAULT 0xa4

#define EZRADIO_PROP_MODEM_OOK_CNT1_MASK 0xff
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_SIZE 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_LSB 6
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_MSB 7
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_MIN 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_MAX 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_MASK 0xc0
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_S2P_MAP_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_LSB 5
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_MSB 5
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_MASK 0x20
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_BIT 0x20
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_OOKFRZEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_LSB 4
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_MSB 4
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_MASK 0x10
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_BIT 0x10
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_OOK_CNT1_MA_FREQDWN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_LSB 3
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_MSB 3
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_MASK 0x8
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_BIT 0x8
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_OOK_CNT1_RAW_SYN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_LSB 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_MSB 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_MASK 0x4
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_BIT 0x4
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_SLICER_FAST_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_SIZE 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_LSB 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_MSB 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_MIN 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_MAX 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_MASK 0x3
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_OOK_CNT1_SQUELCH_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_OOK_MISC_DEFAULT 0x3

#define EZRADIO_PROP_MODEM_OOK_MISC_MASK 0xff
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_LSB 7
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_MSB 7
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_MASK 0x80
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_BIT 0x80
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_ENUM_NORMAL_MA_WINDOW 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOKFASTMA_ENUM_LONG_MA_WINDOW 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_LSB 5
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_MSB 5
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_MASK 0x20
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_BIT 0x20
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_ENUM_ALWAYS_DISCHG 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_LIMIT_DISCHG_ENUM_LIMIT_DISCHG 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_SIZE 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_LSB 4
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_MSB 4
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_MASK 0x10
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_BIT 0x10
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_SQUELCH_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_SIZE 2
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_LSB 2
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_MSB 3
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_MIN 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_MAX 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_MASK 0xc
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_ENUM_NO_DISCHG_DIV 0
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_ENUM_DISCHG_HALF 1
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_ENUM_DISCHG_QUARTER 2
#define EZRADIO_PROP_MODEM_OOK_MISC_OOK_DISCHG_DIV_ENUM_DISCHG_EIGHTH 3
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_SIZE 2
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_LSB 0
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_MSB 1
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_MIN 0
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_MAX 0
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_MASK 0x3
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_ENUM_MA_PK 0
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_ENUM_PK 1
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_ENUM_MA 2
#define EZRADIO_PROP_MODEM_OOK_MISC_DETECTOR_ENUM_MEAN 3
#define EZRADIO_PROP_MODEM_RAW_CONTROL_DEFAULT 0x2

#define EZRADIO_PROP_MODEM_RAW_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_SIZE 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_LSB 7
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_MSB 7
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_MASK 0x80
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_BIT 0x80
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_UNSTDPK_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_SIZE 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_LSB 6
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_MSB 6
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_MASK 0x40
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_BIT 0x40
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_CONSCHK_BYP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_SIZE 2
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_LSB 2
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_MSB 3
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_MIN 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_MAX 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_MASK 0xc
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_ENUM_1010 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_ENUM_CONSECUTIVE_ONE 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_ENUM_CONSECUTIVE_ZERO 2
#define EZRADIO_PROP_MODEM_RAW_CONTROL_PM_PATTERN_ENUM_RANDOM 3
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_SIZE 2
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_LSB 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_MSB 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_MIN 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_MAX 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_MASK 0x3
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_RAW_CONTROL_RAWGAIN_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_RAW_EYE_DEFAULT ([ 0x0, 0xa3 ])

#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_SIZE 11
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_MSB 10
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_LSB 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_MIN 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_MAX 2047
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_INDEX 70
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_MASK 0x7
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_SIZE 3
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_LSB 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_MSB 2
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_MIN 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_10_8_MAX 7
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_INDEX 71
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_DEFAULT 0xa3
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_LSB 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_MSB 7
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_MIN 0
#define EZRADIO_PROP_MODEM_RAW_EYE_RAWEYE_7_0_MAX 255

#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_DEFAULT 0x2

#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_MASK 0xff
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_SIZE 2
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_LSB 6
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_MSB 7
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_MIN 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_MAX 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_MASK 0xc0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_ENUM_ENUM_2 2
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SWANT_TIMER_ENUM_ENUM_3 3
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_SIZE 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_LSB 5
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_MSB 5
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_MASK 0x20
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_BIT 0x20
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_BYP1P5_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_SIZE 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_LSB 4
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_MSB 4
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_MASK 0x10
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_BIT 0x10
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PH_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_SIZE 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_LSB 3
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_MSB 3
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_MASK 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_BIT 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_SKIP2PHTH_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_SIZE 3
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_LSB 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_MSB 2
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_MIN 0
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_MAX 7
#define EZRADIO_PROP_MODEM_ANT_DIV_MODE_ANWAIT_MASK 0x7
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_DEFAULT 0x80

#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_SIZE 4
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_LSB 4
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_MSB 7
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_MIN 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_MAX 15
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANT2PM_THD_MASK 0xf0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_SIZE 1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_LSB 3
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_MSB 3
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_MASK 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_BIT 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_MATAP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_SIZE 2
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_LSB 1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_MSB 2
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_MIN 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_MAX 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_MASK 0x6
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_ENUM_FIXED 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_ENUM_FIXED_INV 1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_ENUM_AUTO 2
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_ANTDIV_ENUM_AUTO_INV 3
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_SIZE 1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_LSB 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_MSB 0
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_MASK 0x1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_BIT 0x1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_TRUE_BIT 0x1
#define EZRADIO_PROP_MODEM_ANT_DIV_CONTROL_RESERVED_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_THRESH_DEFAULT 0xff

#define EZRADIO_PROP_MODEM_RSSI_THRESH_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_SIZE 8
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_MSB 7
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_MAX 255
#define EZRADIO_PROP_MODEM_RSSI_THRESH_RSSI_THRESH_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_DEFAULT 0xc

#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_SIZE 7
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_MSB 6
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_MAX 127
#define EZRADIO_PROP_MODEM_RSSI_JUMP_THRESH_RSSIJMPTHD_MASK 0x7f
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_DEFAULT 0x1

#define EZRADIO_PROP_MODEM_RSSI_CONTROL_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_LSB 5
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_MSB 5
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_MASK 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_BIT 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_ENUM_DISABLE 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_CHECK_THRESH_AT_LATCH_ENUM_ENABLE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_SIZE 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_LSB 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_MSB 4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_MAX 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_MASK 0x18
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_ENUM_AVERAGE4 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_ENUM_AVERAGE2 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_ENUM_BIT1 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_AVERAGE_ENUM_SAMPLE1 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_SIZE 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_MSB 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_MAX 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_MASK 0x7
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_PREAMBLE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_SYNC 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_RX_STATE1 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_RX_STATE2 4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_RX_STATE3 5
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_RX_STATE4 6
#define EZRADIO_PROP_MODEM_RSSI_CONTROL_LATCH_ENUM_RX_STATE5 7
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_LSB 5
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_MSB 5
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_MASK 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_BIT 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_DWN_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_LSB 4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_MSB 4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_MASK 0x10
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_BIT 0x10
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_RSSIJMP_UP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_LSB 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_MSB 3
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_MASK 0x8
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_BIT 0x8
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENRSSIJMP_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_LSB 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_MSB 2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_MASK 0x4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_BIT 0x4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_TRUE_BIT 0x4
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_JMPDLYLEN_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_LSB 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_MSB 1
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_MASK 0x2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_BIT 0x2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_TRUE_BIT 0x2
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_RSSI_CONTROL2_ENJMPRX_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_RSSI_COMP_DEFAULT 0x40

#define EZRADIO_PROP_MODEM_RSSI_COMP_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_SIZE 7
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_MSB 6
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_MAX 127
#define EZRADIO_PROP_MODEM_RSSI_COMP_RSSI_COMP_MASK 0x7f
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_RAW_SEARCH2_MASK 0xff
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_SIZE 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_LSB 7
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_MSB 7
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_MASK 0x80
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_BIT 0x80
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCH_FRZEN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_LSB 6
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_MSB 6
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_MASK 0x40
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_BIT 0x40
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_RAWFLT_SEL_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_SIZE 3
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_LSB 3
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_MSB 5
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_MIN 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_MAX 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_MASK 0x38
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_2TB 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_3TB 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_4TB 2
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_5TB 3
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_8TB 4
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_12TB 5
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_14TB 6
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_HI_ENUM_SEARCH_16TB 7
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_SIZE 3
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_LSB 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_MSB 2
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_MIN 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_MAX 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_MASK 0x7
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_2TB 0
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_3TB 1
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_4TB 2
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_5TB 3
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_8TB 4
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_12TB 5
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_14TB 6
#define EZRADIO_PROP_MODEM_RAW_SEARCH2_SCHPRD_LOW_ENUM_SEARCH_16TB 7
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_DEFAULT 0x8

#define EZRADIO_PROP_MODEM_CLKGEN_BAND_MASK 0xff
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_SIZE 1
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_LSB 4
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_MSB 4
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_MASK 0x10
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_BIT 0x10
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_ENUM_FORCE 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_FORCE_SY_RECAL_ENUM_SKIP 1
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_LSB 3
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_MSB 3
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_MASK 0x8
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_BIT 0x8
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_ENUM_ENUM_0 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_SY_SEL_ENUM_ENUM_1 1
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_SIZE 3
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_LSB 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_MSB 2
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_MIN 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_MAX 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_MASK 0x7
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_4 0
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_6 1
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_8 2
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_12 3
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_16 4
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_24 5
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_24_2 6
#define EZRADIO_PROP_MODEM_CLKGEN_BAND_BAND_ENUM_FVCO_DIV_24_3 7
#define EZRADIO_PROP_MODEM_SPIKE_DET_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_SPIKE_DET_MASK 0xff
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_SIZE 1
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_LSB 7
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_MSB 7
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_MASK 0x80
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_BIT 0x80
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_REMOVAL_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_SIZE 7
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_LSB 0
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_MSB 6
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_MIN 0
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_MAX 0
#define EZRADIO_PROP_MODEM_SPIKE_DET_SPIKE_THRESHOLD_MASK 0x7f
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_MASK 0xff
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_SIZE 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_LSB 7
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_MSB 7
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_MASK 0x80
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_BIT 0x80
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_AFC_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_SIZE 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_LSB 6
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_MSB 6
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_MASK 0x40
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_BIT 0x40
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_BCR_ALIGN_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_SIZE 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_LSB 5
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_MSB 5
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_MASK 0x20
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_BIT 0x20
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_EST_OSR_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_SIZE 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_LSB 4
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_MSB 4
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_MASK 0x10
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_BIT 0x10
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_TRUE_BIT 0x10
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_AFCMA_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_SIZE 4
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_LSB 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_MSB 3
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_MIN 0
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_MAX 15
#define EZRADIO_PROP_MODEM_ONE_SHOT_AFC_ONESHOT_WAIT_CNT_MASK 0xf
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_DEFAULT 0xff

#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_SIZE 8
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_MSB 7
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_MIN 1
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_MAX 255
#define EZRADIO_PROP_MODEM_RSSI_HYSTERESIS_RSSI_HYSTERESIS_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_MUTE_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_RSSI_MUTE_MASK 0xff
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_SIZE 1
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_LSB 3
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_MSB 3
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_MASK 0x8
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_BIT 0x8
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_TRUE_BIT 0x8
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_SIZE 3
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_LSB 0
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_MSB 2
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_MIN 0
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_MAX 0
#define EZRADIO_PROP_MODEM_RSSI_MUTE_RSSI_DELAY_CNT_MASK 0x7
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_MASK 0xff
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_SIZE 8
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_LSB 0
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_MSB 7
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_MIN 0
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_MAX 255
#define EZRADIO_PROP_MODEM_FAST_RSSI_DELAY_FAST_RSSI_DELAY_MASK 0xff
#define EZRADIO_PROP_MODEM_PSM_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_SIZE 12
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_MSB 11
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_LSB 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_MIN 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_MAX 4095
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_INDEX 89
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_MASK 0xf
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_SIZE 4
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_LSB 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_MSB 3
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_MIN 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_11_8_MAX 15
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_INDEX 90
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_LSB 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_MSB 7
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_MIN 0
#define EZRADIO_PROP_MODEM_PSM_IDLE_TIME_7_0_MAX 255

#define EZRADIO_PROP_MODEM_DSA_CTRL1_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DSA_CTRL1_MASK 0xff
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_SIZE 2
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_LSB 6
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_MSB 7
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_MIN 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_MAX 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_MASK 0xc0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_ENUM_SPIKE_QUAL 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_QUAL_SOURCE_ENUM_SPIKE_EYE_QUAL 1
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_LSB 5
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_MSB 5
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_MASK 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_DSA_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_SIZE 5
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_LSB 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_MSB 4
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_MIN 0
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_MAX 31
#define EZRADIO_PROP_MODEM_DSA_CTRL1_ADJ_SAMP_ERR_TOLERANCE_MASK 0x1f
#define EZRADIO_PROP_MODEM_DSA_CTRL2_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DSA_CTRL2_MASK 0xff
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_LSB 5
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_MSB 5
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_MASK 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_CTRL2_BCR_GEAR_SHIFT_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_SIZE 4
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_LSB 0
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_MSB 3
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_MIN 0
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_MAX 15
#define EZRADIO_PROP_MODEM_DSA_CTRL2_ARRIVAL_THD_MASK 0xf
#define EZRADIO_PROP_MODEM_DSA_QUAL_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DSA_QUAL_MASK 0xff
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_LSB 7
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_MSB 7
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_MASK 0x80
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_QUAL_EYE_QUAL_SEL_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_SIZE 7
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_LSB 0
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_MSB 6
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_MIN 0
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_MAX 127
#define EZRADIO_PROP_MODEM_DSA_QUAL_ARRQUAL_MASK 0x7f
#define EZRADIO_PROP_MODEM_DSA_RSSI_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DSA_RSSI_MASK 0xff
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_LSB 7
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_MSB 7
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_MASK 0x80
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_RSSI_SQUELCH_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_SIZE 7
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_LSB 0
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_MSB 6
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_MIN 0
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_MAX 127
#define EZRADIO_PROP_MODEM_DSA_RSSI_DSA_RSSI_THRESHOLD_MASK 0x7f
#define EZRADIO_PROP_MODEM_DSA_MISC_DEFAULT 0x0

#define EZRADIO_PROP_MODEM_DSA_MISC_MASK 0xff
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_LSB 7
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_MSB 7
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_MASK 0x80
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_TRUE_BIT 0x80
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_MISC_CC_ASSESS_SEL_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_LSB 6
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_MSB 6
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_MASK 0x40
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_BIT 0x40
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_ENUM_DISABLED 0
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_EN_ENUM_ENABLED 1
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_SIZE 1
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_LSB 5
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_MSB 5
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_MASK 0x20
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_TRUE_BIT 0x20
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_FALSE_BIT 0x00
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_ENUM_WINDOW4 0
#define EZRADIO_PROP_MODEM_DSA_MISC_EYEXEST_FAST_ENUM_WINDOW8 1
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_SIZE 3
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_LSB 0
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_MSB 2
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_MIN 0
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_MAX 0
#define EZRADIO_PROP_MODEM_DSA_MISC_LOW_DUTY_MASK 0x7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_DEFAULT ([ 0xff, 0xba, 0xf, 0x51, 0xcf, 0xa9, 0xc9, 0xfc, 0x1b, 0x1e, 0xf, 0x1, 0xfc, 0xfd, 0x15, 0xff, 0x0, 0xf ])

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_INDEX 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_DEFAULT 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_INDEX 14
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE13_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_INDEX 1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_DEFAULT 0xba
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_INDEX 14
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE12_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_INDEX 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_DEFAULT 0xf
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_INDEX 14
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE11_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_INDEX 3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_DEFAULT 0x51
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_INDEX 14
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE10_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_INDEX 4
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_DEFAULT 0xcf
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_INDEX 15
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE9_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_INDEX 5
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_DEFAULT 0xa9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_INDEX 15
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE8_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_INDEX 6
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_DEFAULT 0xc9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_INDEX 15
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE7_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_INDEX 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_DEFAULT 0xfc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_INDEX 15
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE6_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_INDEX 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_DEFAULT 0x1b
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_INDEX 16
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE5_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_INDEX 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_DEFAULT 0x1e
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_INDEX 16
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE4_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_INDEX 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_DEFAULT 0xf
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_INDEX 16
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE3_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_INDEX 11
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_INDEX 16
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE2_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_INDEX 12
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_DEFAULT 0xfc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_INDEX 17
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE1_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_INDEX 13
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_DEFAULT 0xfd
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_INDEX 17
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX1_CHFLT_COE_RX1_CHFLT_COE0_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_DEFAULT ([ 0xff, 0xc4, 0x30, 0x7f, 0xf5, 0xb5, 0xb8, 0xde, 0x5, 0x17, 0x16, 0xc, 0x3, 0x0, 0x15, 0xff, 0x0, 0x0 ])

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_INDEX 18
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_DEFAULT 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_INDEX 32
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE13_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_INDEX 19
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_DEFAULT 0xc4
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_INDEX 32
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE12_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_INDEX 20
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_DEFAULT 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_INDEX 32
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_DEFAULT 0x1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE11_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_INDEX 21
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_DEFAULT 0x7f
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_INDEX 32
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE10_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_INDEX 22
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_DEFAULT 0xf5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_INDEX 33
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE9_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_INDEX 23
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_DEFAULT 0xb5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_INDEX 33
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE8_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_INDEX 24
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_DEFAULT 0xb8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_INDEX 33
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE7_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_INDEX 25
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_DEFAULT 0xde
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_INDEX 33
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE6_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_INDEX 26
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_DEFAULT 0x5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_INDEX 34
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE5_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_INDEX 27
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_DEFAULT 0x17
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_INDEX 34
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE4_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_INDEX 28
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_DEFAULT 0x16
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_INDEX 34
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_MASK 0x30
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_LSB 4
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_MSB 5
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE3_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_INDEX 29
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_DEFAULT 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_INDEX 34
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_MASK 0xc0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_LSB 6
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE2_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_INDEX 30
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_DEFAULT 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_INDEX 35
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_MASK 0x3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_MSB 1
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE1_9_8_MAX 3

#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_SIZE 10
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_MSB 9
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_MAX 1023
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_INDEX 31
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_MASK 0xff
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_SIZE 8
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_LSB 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_MSB 7
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_7_0_MAX 255
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_INDEX 35
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_MASK 0xc
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_DEFAULT 0x0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_SIZE 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_LSB 2
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_MSB 3
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_MIN 0
#define EZRADIO_PROP_MODEM_CHFLT_RX2_CHFLT_COE_RX2_CHFLT_COE0_9_8_MAX 3

#define EZRADIO_PROP_PA_MODE_DEFAULT 0x8

#define EZRADIO_PROP_PA_MODE_MASK 0xff
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_SIZE 1
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_LSB 7
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_MSB 7
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_MASK 0x80
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_BIT 0x80
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_TRUE_BIT 0x80
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_FALSE_BIT 0x00
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_ENUM_ENUM_0 0
#define EZRADIO_PROP_PA_MODE_EXT_PA_RAMP_ENUM_ENUM_1 1
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_SIZE 1
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_LSB 6
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_MSB 6
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_MASK 0x40
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_BIT 0x40
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_TRUE_BIT 0x40
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_FALSE_BIT 0x00
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_ENUM_DISABLE 0
#define EZRADIO_PROP_PA_MODE_DIG_PWR_SEQ_ENUM_ENABLE 1
#define EZRADIO_PROP_PA_MODE_PA_SEL_SIZE 4
#define EZRADIO_PROP_PA_MODE_PA_SEL_LSB 2
#define EZRADIO_PROP_PA_MODE_PA_SEL_MSB 5
#define EZRADIO_PROP_PA_MODE_PA_SEL_MIN 0
#define EZRADIO_PROP_PA_MODE_PA_SEL_MAX 0
#define EZRADIO_PROP_PA_MODE_PA_SEL_MASK 0x3c
#define EZRADIO_PROP_PA_MODE_PA_SEL_ENUM_HP_FINE 1
#define EZRADIO_PROP_PA_MODE_PA_SEL_ENUM_HP_COARSE 2
#define EZRADIO_PROP_PA_MODE_PA_SEL_ENUM_LP 6
#define EZRADIO_PROP_PA_MODE_PA_SEL_ENUM_MP 8
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_SIZE 1
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_LSB 1
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_MSB 1
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_MASK 0x2
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_BIT 0x2
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_TRUE_BIT 0x2
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_FALSE_BIT 0x00
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_ENUM_DISABLE 0
#define EZRADIO_PROP_PA_MODE_PA_OV_CLAMP_ENUM_ENABLE 1
#define EZRADIO_PROP_PA_MODE_PA_MODE_SIZE 1
#define EZRADIO_PROP_PA_MODE_PA_MODE_LSB 0
#define EZRADIO_PROP_PA_MODE_PA_MODE_MSB 0
#define EZRADIO_PROP_PA_MODE_PA_MODE_MASK 0x1
#define EZRADIO_PROP_PA_MODE_PA_MODE_BIT 0x1
#define EZRADIO_PROP_PA_MODE_PA_MODE_TRUE_BIT 0x1
#define EZRADIO_PROP_PA_MODE_PA_MODE_FALSE_BIT 0x00
#define EZRADIO_PROP_PA_MODE_PA_MODE_ENUM_CLE 0
#define EZRADIO_PROP_PA_MODE_PA_MODE_ENUM_SWC 1
#define EZRADIO_PROP_PA_PWR_LVL_DEFAULT 0x7f

#define EZRADIO_PROP_PA_PWR_LVL_MASK 0xff
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_SIZE 7
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_LSB 0
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_MSB 6
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_MIN 0
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_MAX 127
#define EZRADIO_PROP_PA_PWR_LVL_DDAC_MASK 0x7f
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_DEFAULT 0x0

#define EZRADIO_PROP_PA_BIAS_CLKDUTY_MASK 0xff
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_SIZE 2
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_LSB 6
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_MSB 7
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_MIN 0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_MAX 0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_MASK 0xc0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_ENUM_DIFF_50 0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_CLK_DUTY_ENUM_SINGLE_25 3
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_SIZE 6
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_LSB 0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_MSB 5
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_MIN 0
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_MAX 63
#define EZRADIO_PROP_PA_BIAS_CLKDUTY_OB_MASK 0x3f
#define EZRADIO_PROP_PA_TC_DEFAULT 0x5d

#define EZRADIO_PROP_PA_TC_MASK 0xff
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_SIZE 3
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_LSB 5
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_MSB 7
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_MIN 0
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_MAX 0
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_MASK 0xe0
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_2_US 0
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_6_US 1
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_10_US 2
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_14_US 3
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_18_US 4
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_22_US 5
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_26_US 6
#define EZRADIO_PROP_PA_TC_FSK_MOD_DLY_ENUM_30_US 7
#define EZRADIO_PROP_PA_TC_TC_SIZE 5
#define EZRADIO_PROP_PA_TC_TC_LSB 0
#define EZRADIO_PROP_PA_TC_TC_MSB 4
#define EZRADIO_PROP_PA_TC_TC_MIN 0
#define EZRADIO_PROP_PA_TC_TC_MAX 31
#define EZRADIO_PROP_PA_TC_TC_MASK 0x1f
#define EZRADIO_PROP_PA_RAMP_EX_DEFAULT 0x80

#define EZRADIO_PROP_PA_RAMP_EX_MASK 0xff
#define EZRADIO_PROP_PA_RAMP_EX_VSET_SIZE 4
#define EZRADIO_PROP_PA_RAMP_EX_VSET_LSB 4
#define EZRADIO_PROP_PA_RAMP_EX_VSET_MSB 7
#define EZRADIO_PROP_PA_RAMP_EX_VSET_MIN 0
#define EZRADIO_PROP_PA_RAMP_EX_VSET_MAX 15
#define EZRADIO_PROP_PA_RAMP_EX_VSET_MASK 0xf0
#define EZRADIO_PROP_PA_RAMP_EX_TC_SIZE 4
#define EZRADIO_PROP_PA_RAMP_EX_TC_LSB 0
#define EZRADIO_PROP_PA_RAMP_EX_TC_MSB 3
#define EZRADIO_PROP_PA_RAMP_EX_TC_MIN 0
#define EZRADIO_PROP_PA_RAMP_EX_TC_MAX 15
#define EZRADIO_PROP_PA_RAMP_EX_TC_MASK 0xf
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_DEFAULT 0x23

#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_MASK 0xff
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_SIZE 8
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_LSB 0
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_MSB 7
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_MIN 1
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_MAX 40
#define EZRADIO_PROP_PA_RAMP_DOWN_DELAY_RAMP_DOWN_DELAY_MASK 0xff
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DEFAULT 0x3

#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_MASK 0xff
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_SIZE 1
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_LSB 7
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_MSB 7
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_MASK 0x80
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_BIT 0x80
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_TRUE_BIT 0x80
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_FALSE_BIT 0x00
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_ENUM_STEP_SIZE_1 0
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_INC_STEP_SIZE_ENUM_STEP_SIZE_2 1
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_SIZE 7
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_LSB 0
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_MSB 6
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_MIN 3
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_MAX 127
#define EZRADIO_PROP_PA_DIG_PWR_SEQ_CONFIG_DIG_PWR_SEQ_DELAY_MASK 0x7f
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_DEFAULT 0x2c

#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_MASK 0xff
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_SIZE 1
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_LSB 6
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_MSB 6
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_MASK 0x40
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_BIT 0x40
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_TRUE_BIT 0x40
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_TEST_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_SIZE 6
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_LSB 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_MSB 5
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_MIN 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_MAX 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_MASK 0x3f
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_32 32
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_33 33
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_64 63
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_PFDCP_CPFF_CP_FF_CUR_ENUM_ENUM_31 31
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_DEFAULT 0xe

#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_MASK 0xff
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_SIZE 4
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_LSB 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_MSB 3
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_MIN 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_MAX 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_MASK 0xf
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_8 8
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_9 9
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_10 10
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_11 11
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_12 12
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_13 13
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_14 14
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_15 15
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_4 4
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_5 5
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_6 6
#define EZRADIO_PROP_SYNTH_PFDCP_CPINT_CP_INT_CUR_ENUM_ENUM_7 7
#define EZRADIO_PROP_SYNTH_VCO_KV_DEFAULT 0xb

#define EZRADIO_PROP_SYNTH_VCO_KV_MASK 0xff
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_SIZE 1
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_LSB 4
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_MSB 4
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_MASK 0x10
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_BIT 0x10
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_TRUE_BIT 0x10
#define EZRADIO_PROP_SYNTH_VCO_KV_RESERVED_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_SIZE 2
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_LSB 2
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_MSB 3
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_MIN 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_MAX 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_MASK 0xc
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_ENUM_GND 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_ENUM_HALF 1
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_ENUM_MAX 2
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_DIR_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_SIZE 2
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_LSB 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_MSB 1
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_MIN 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_MAX 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_MASK 0x3
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_ENUM_GND 0
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_ENUM_33PERCENT 1
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_ENUM_66PENCENT 2
#define EZRADIO_PROP_SYNTH_VCO_KV_KV_INT_ENUM_MAX 3
#define EZRADIO_PROP_SYNTH_LPFILT3_DEFAULT 0x4

#define EZRADIO_PROP_SYNTH_LPFILT3_MASK 0xff
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_SIZE 3
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_LSB 0
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_MSB 2
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_MASK 0x7
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_4 4
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_5 5
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_6 6
#define EZRADIO_PROP_SYNTH_LPFILT3_LPF_FF_R2_ENUM_ENUM_7 7
#define EZRADIO_PROP_SYNTH_LPFILT2_DEFAULT 0xc

#define EZRADIO_PROP_SYNTH_LPFILT2_MASK 0xff
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_SIZE 5
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_LSB 0
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_MSB 4
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_MASK 0x1f
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT2_LPF_FF_C2_ENUM_ENUM_1 31
#define EZRADIO_PROP_SYNTH_LPFILT1_DEFAULT 0x73

#define EZRADIO_PROP_SYNTH_LPFILT1_MASK 0xff
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_SIZE 3
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_LSB 4
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_MSB 6
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_MASK 0x70
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_4 4
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_5 5
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_6 6
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_ENUM_ENUM_7 7
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_SIZE 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_LSB 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_MSB 3
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_MASK 0xc
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C1_CODE_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_SIZE 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_LSB 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_MSB 1
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_MASK 0x3
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_LPFILT1_LPF_FF_C3_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_LPFILT0_DEFAULT 0x3

#define EZRADIO_PROP_SYNTH_LPFILT0_MASK 0xff
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_SIZE 2
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_LSB 0
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_MSB 1
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_MIN 0
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_MAX 0
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_MASK 0x3
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_ENUM_ENUM_2 2
#define EZRADIO_PROP_SYNTH_LPFILT0_LPF_FF_BIAS_ENUM_ENUM_3 3
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_DEFAULT 0x5

#define EZRADIO_PROP_SYNTH_VCO_KVCAL_MASK 0xff
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_SIZE 1
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_LSB 4
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_MSB 4
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_MASK 0x10
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_BIT 0x10
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_TRUE_BIT 0x10
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_FALSE_BIT 0x00
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_ENUM_ENUM_0 0
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_LADR_SELECT_ENUM_ENUM_1 1
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_SIZE 4
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_LSB 0
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_MSB 3
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_MIN 0
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_MAX 15
#define EZRADIO_PROP_SYNTH_VCO_KVCAL_KVCAL_MASK 0xf
#define EZRADIO_PROP_MATCH_VALUE_1_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_VALUE_1_MASK 0xff
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_SIZE 8
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_LSB 0
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_MSB 7
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_MIN 0
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_MAX 255
#define EZRADIO_PROP_MATCH_VALUE_1_VALUE_1_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_1_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_MASK_1_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_SIZE 8
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_LSB 0
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_MSB 7
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_MIN 0
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_MAX 255
#define EZRADIO_PROP_MATCH_MASK_1_MASK_1_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_1_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_CTRL_1_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_LSB 7
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_MSB 7
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_MASK 0x80
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_TRUE_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_1_POLARITY_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_LSB 6
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_MSB 6
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_MASK 0x40
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_TRUE_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_ENUM_MATCH_DISABLE 1
#define EZRADIO_PROP_MATCH_CTRL_1_MATCH_EN_ENUM_MATCH_ENABLE 1
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_SIZE 5
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_LSB 0
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_MSB 4
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_MIN 0
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_MAX 31
#define EZRADIO_PROP_MATCH_CTRL_1_OFFSET_MASK 0x1f
#define EZRADIO_PROP_MATCH_VALUE_2_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_VALUE_2_MASK 0xff
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_SIZE 8
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_LSB 0
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_MSB 7
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_MIN 0
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_MAX 255
#define EZRADIO_PROP_MATCH_VALUE_2_VALUE_2_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_2_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_MASK_2_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_SIZE 8
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_LSB 0
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_MSB 7
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_MIN 0
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_MAX 255
#define EZRADIO_PROP_MATCH_MASK_2_MASK_2_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_2_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_CTRL_2_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_LSB 7
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_MSB 7
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_MASK 0x80
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_TRUE_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_2_POLARITY_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_LSB 6
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_MSB 6
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_MASK 0x40
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_TRUE_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_2_LOGIC_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_SIZE 5
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_LSB 0
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_MSB 4
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_MIN 0
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_MAX 31
#define EZRADIO_PROP_MATCH_CTRL_2_OFFSET_MASK 0x1f
#define EZRADIO_PROP_MATCH_VALUE_3_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_VALUE_3_MASK 0xff
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_SIZE 8
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_LSB 0
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_MSB 7
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_MIN 0
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_MAX 255
#define EZRADIO_PROP_MATCH_VALUE_3_VALUE_3_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_3_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_MASK_3_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_SIZE 8
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_LSB 0
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_MSB 7
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_MIN 0
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_MAX 255
#define EZRADIO_PROP_MATCH_MASK_3_MASK_3_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_3_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_CTRL_3_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_LSB 7
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_MSB 7
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_MASK 0x80
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_TRUE_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_3_POLARITY_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_LSB 6
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_MSB 6
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_MASK 0x40
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_TRUE_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_3_LOGIC_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_SIZE 5
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_LSB 0
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_MSB 4
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_MIN 0
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_MAX 31
#define EZRADIO_PROP_MATCH_CTRL_3_OFFSET_MASK 0x1f
#define EZRADIO_PROP_MATCH_VALUE_4_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_VALUE_4_MASK 0xff
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_SIZE 8
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_LSB 0
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_MSB 7
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_MIN 0
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_MAX 255
#define EZRADIO_PROP_MATCH_VALUE_4_VALUE_4_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_4_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_MASK_4_MASK 0xff
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_SIZE 8
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_LSB 0
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_MSB 7
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_MIN 0
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_MAX 255
#define EZRADIO_PROP_MATCH_MASK_4_MASK_4_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_4_DEFAULT 0x0

#define EZRADIO_PROP_MATCH_CTRL_4_MASK 0xff
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_LSB 7
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_MSB 7
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_MASK 0x80
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_TRUE_BIT 0x80
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_4_POLARITY_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_SIZE 1
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_LSB 6
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_MSB 6
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_MASK 0x40
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_TRUE_BIT 0x40
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_FALSE_BIT 0x00
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_ENUM_ENUM_0 0
#define EZRADIO_PROP_MATCH_CTRL_4_LOGIC_ENUM_ENUM_1 1
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_SIZE 5
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_LSB 0
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_MSB 4
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_MIN 0
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_MAX 31
#define EZRADIO_PROP_MATCH_CTRL_4_OFFSET_MASK 0x1f
#define EZRADIO_PROP_FREQ_CONTROL_INTE_DEFAULT 0x3c

#define EZRADIO_PROP_FREQ_CONTROL_INTE_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_SIZE 7
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_MSB 6
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_MAX 127
#define EZRADIO_PROP_FREQ_CONTROL_INTE_INTE_MASK 0x7f
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_DEFAULT ([ 0x8, 0x0, 0x0 ])

#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_SIZE 20
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_MSB 19
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_MAX 1048575
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_INDEX 1
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_MASK 0xf
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_DEFAULT 0x8
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_SIZE 4
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_MSB 3
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_19_16_MAX 15
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_INDEX 2
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_DEFAULT 0x0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_15_8_MAX 255
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_INDEX 3
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_DEFAULT 0x0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_FRAC_FRAC_7_0_MAX 255

#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_DEFAULT ([ 0x0, 0x0 ])

#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_SIZE 16
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_MSB 15
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_MAX 65535
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_INDEX 4
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_DEFAULT 0x0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_15_8_MAX 255
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_INDEX 5
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_DEFAULT 0x0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_CHANNEL_STEP_SIZE_CHANNEL_STEP_SIZE_7_0_MAX 255

#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_DEFAULT 0x20

#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_MIN 0
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_MAX 255
#define EZRADIO_PROP_FREQ_CONTROL_W_SIZE_W_SIZE_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_DEFAULT 0xff

#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_MASK 0xff
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_SIZE 8
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_LSB 0
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_MSB 7
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_MIN -128
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_MAX 127
#define EZRADIO_PROP_FREQ_CONTROL_VCOCNT_RX_ADJ_VCOCNT_RX_ADJ_MASK 0xff
#define EZRADIO_PROP_RX_HOP_CONTROL_DEFAULT 0x4

#define EZRADIO_PROP_RX_HOP_CONTROL_MASK 0xff
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_SIZE 3
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_LSB 4
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_MSB 6
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_MIN 0
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_MAX 0
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_MASK 0x70
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_ENUM_HOP_DISABLE 0
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_ENUM_HOP_PM_TO 1
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_ENUM_HOP_RSSI_PM_TO 2
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_ENUM_HOP_PM_SYNC_TO 3
#define EZRADIO_PROP_RX_HOP_CONTROL_HOP_EN_ENUM_HOP_RSSI_PM_SYNC_TO 4
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_SIZE 4
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_LSB 0
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_MSB 3
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_MIN 0
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_MAX 15
#define EZRADIO_PROP_RX_HOP_CONTROL_RSSI_TIMEOUT_MASK 0xf
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_DEFAULT 0x1

#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_MASK 0xff
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_SIZE 7
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_LSB 0
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_MSB 6
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_MIN 1
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_MAX 64
#define EZRADIO_PROP_RX_HOP_TABLE_SIZE_RX_HOP_TABLE_SIZE_MASK 0x7f
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_MASK 0xff
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_ARRAY_LEN 64
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_SIZE 8
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_LSB 0
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_MSB 7
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_MIN 0
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_MAX 255
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_CHANNEL_NUM_MASK 0xff
#define EZRADIO_PROP_RX_HOP_TABLE_ENTRY_DEFAULT ([ 0x0, 0x1, 0x2, 0x3, 0x4, 0x5, 0x6, 0x7, 0x8, 0x9, 0xa, 0xb, 0xc, 0xd, 0xe, 0xf, 0x10, 0x11, 0x12, 0x13, 0x14, 0x15, 0x16, 0x17, 0x18, 0x19, 0x1a, 0x1b, 0x1c, 0x1d, 0x1e, 0x1f, 0x20, 0x21, 0x22, 0x23, 0x24, 0x25, 0x26, 0x27, 0x28, 0x29, 0x2a, 0x2b, 0x2c, 0x2d, 0x2e, 0x2f, 0x30, 0x31, 0x32, 0x33, 0x34, 0x35, 0x36, 0x37, 0x38, 0x39, 0x3a, 0x3b, 0x3c, 0x3d, 0x3e, 0x3f ])


//! @endcond

#endif  /* _EZRADIO_PROP_H_ */
